/*
	Copyright (c) 2004-2006, The Dojo Foundation
	All Rights Reserved.

	Licensed under the Academic Free License version 2.1 or above OR the
	modified BSD license. For more information on Dojo licensing, see:

		http://dojotoolkit.org/community/licensing.shtml
*/

/*
	This is a compiled version of Dojo, built for deployment and not for
	development. To get an editable version, please visit:

		http://dojotoolkit.org

	for documentation and information on getting the source.
*/

if(typeof dojo=="undefined"){
var dj_global=this;
var dj_currentContext=this;
function dj_undef(_1,_2){
return (typeof (_2||dj_currentContext)[_1]=="undefined");
}
if(dj_undef("djConfig",this)){
var djConfig={};
}
if(dj_undef("dojo",this)){
var dojo={};
}
dojo.global=function(){
return dj_currentContext;
};
dojo.locale=djConfig.locale;
dojo.version={major:0,minor:4,patch:0,flag:"",revision:Number("$Rev: 6258 $".match(/[0-9]+/)[0]),toString:function(){
with(dojo.version){
return major+"."+minor+"."+patch+flag+" ("+revision+")";
}
}};
dojo.evalProp=function(_3,_4,_5){
if((!_4)||(!_3)){
return undefined;
}
if(!dj_undef(_3,_4)){
return _4[_3];
}
return (_5?(_4[_3]={}):undefined);
};
dojo.parseObjPath=function(_6,_7,_8){
var _9=(_7||dojo.global());
var _a=_6.split(".");
var _b=_a.pop();
for(var i=0,l=_a.length;i<l&&_9;i++){
_9=dojo.evalProp(_a[i],_9,_8);
}
return {obj:_9,prop:_b};
};
dojo.evalObjPath=function(_e,_f){
if(typeof _e!="string"){
return dojo.global();
}
if(_e.indexOf(".")==-1){
return dojo.evalProp(_e,dojo.global(),_f);
}
var ref=dojo.parseObjPath(_e,dojo.global(),_f);
if(ref){
return dojo.evalProp(ref.prop,ref.obj,_f);
}
return null;
};
dojo.errorToString=function(_11){
if(!dj_undef("message",_11)){
return _11.message;
}else{
if(!dj_undef("description",_11)){
return _11.description;
}else{
return _11;
}
}
};
dojo.raise=function(_12,_13){
if(_13){
_12=_12+": "+dojo.errorToString(_13);
}
try{
if(djConfig.isDebug){
dojo.hostenv.println("FATAL exception raised: "+_12);
}
}
catch(e){
}
throw _13||Error(_12);
};
dojo.debug=function(){
};
dojo.debugShallow=function(obj){
};
dojo.profile={start:function(){
},end:function(){
},stop:function(){
},dump:function(){
}};
function dj_eval(_15){
return dj_global.eval?dj_global.eval(_15):eval(_15);
}
dojo.unimplemented=function(_16,_17){
var _18="'"+_16+"' not implemented";
if(_17!=null){
_18+=" "+_17;
}
dojo.raise(_18);
};
dojo.deprecated=function(_19,_1a,_1b){
var _1c="DEPRECATED: "+_19;
if(_1a){
_1c+=" "+_1a;
}
if(_1b){
_1c+=" -- will be removed in version: "+_1b;
}
dojo.debug(_1c);
};
dojo.render=(function(){
function vscaffold(_1d,_1e){
var tmp={capable:false,support:{builtin:false,plugin:false},prefixes:_1d};
for(var i=0;i<_1e.length;i++){
tmp[_1e[i]]=false;
}
return tmp;
}
return {name:"",ver:dojo.version,os:{win:false,linux:false,osx:false},html:vscaffold(["html"],["ie","opera","khtml","safari","moz"]),svg:vscaffold(["svg"],["corel","adobe","batik"]),vml:vscaffold(["vml"],["ie"]),swf:vscaffold(["Swf","Flash","Mm"],["mm"]),swt:vscaffold(["Swt"],["ibm"])};
})();
dojo.hostenv=(function(){
var _21={isDebug:false,allowQueryConfig:false,baseScriptUri:"",baseRelativePath:"",libraryScriptUri:"",iePreventClobber:false,ieClobberMinimal:true,preventBackButtonFix:true,delayMozLoadingFix:false,searchIds:[],parseWidgets:true};
if(typeof djConfig=="undefined"){
djConfig=_21;
}else{
for(var _22 in _21){
if(typeof djConfig[_22]=="undefined"){
djConfig[_22]=_21[_22];
}
}
}
return {name_:"(unset)",version_:"(unset)",getName:function(){
return this.name_;
},getVersion:function(){
return this.version_;
},getText:function(uri){
dojo.unimplemented("getText","uri="+uri);
}};
})();
dojo.hostenv.getBaseScriptUri=function(){
if(djConfig.baseScriptUri.length){
return djConfig.baseScriptUri;
}
var uri=new String(djConfig.libraryScriptUri||djConfig.baseRelativePath);
if(!uri){
dojo.raise("Nothing returned by getLibraryScriptUri(): "+uri);
}
var _25=uri.lastIndexOf("/");
djConfig.baseScriptUri=djConfig.baseRelativePath;
return djConfig.baseScriptUri;
};
(function(){
var _26={pkgFileName:"__package__",loading_modules_:{},loaded_modules_:{},addedToLoadingCount:[],removedFromLoadingCount:[],inFlightCount:0,modulePrefixes_:{dojo:{name:"dojo",value:"src"}},setModulePrefix:function(_27,_28){
this.modulePrefixes_[_27]={name:_27,value:_28};
},moduleHasPrefix:function(_29){
var mp=this.modulePrefixes_;
return Boolean(mp[_29]&&mp[_29].value);
},getModulePrefix:function(_2b){
if(this.moduleHasPrefix(_2b)){
return this.modulePrefixes_[_2b].value;
}
return _2b;
},getTextStack:[],loadUriStack:[],loadedUris:[],post_load_:false,modulesLoadedListeners:[],unloadListeners:[],loadNotifying:false};
for(var _2c in _26){
dojo.hostenv[_2c]=_26[_2c];
}
})();
dojo.hostenv.loadPath=function(_2d,_2e,cb){
var uri;
if(_2d.charAt(0)=="/"||_2d.match(/^\w+:/)){
uri=_2d;
}else{
uri=this.getBaseScriptUri()+_2d;
}
if(djConfig.cacheBust&&dojo.render.html.capable){
uri+="?"+String(djConfig.cacheBust).replace(/\W+/g,"");
}
try{
return !_2e?this.loadUri(uri,cb):this.loadUriAndCheck(uri,_2e,cb);
}
catch(e){
dojo.debug(e);
return false;
}
};
dojo.hostenv.loadUri=function(uri,cb){
if(this.loadedUris[uri]){
return true;
}
var _33=this.getText(uri,null,true);
if(!_33){
return false;
}
this.loadedUris[uri]=true;
if(cb){
_33="("+_33+")";
}
var _34=dj_eval(_33);
if(cb){
cb(_34);
}
return true;
};
dojo.hostenv.loadUriAndCheck=function(uri,_36,cb){
var ok=true;
try{
ok=this.loadUri(uri,cb);
}
catch(e){
dojo.debug("failed loading ",uri," with error: ",e);
}
return Boolean(ok&&this.findModule(_36,false));
};
dojo.loaded=function(){
};
dojo.unloaded=function(){
};
dojo.hostenv.loaded=function(){
this.loadNotifying=true;
this.post_load_=true;
var mll=this.modulesLoadedListeners;
for(var x=0;x<mll.length;x++){
mll[x]();
}
this.modulesLoadedListeners=[];
this.loadNotifying=false;
dojo.loaded();
};
dojo.hostenv.unloaded=function(){
var mll=this.unloadListeners;
while(mll.length){
(mll.pop())();
}
dojo.unloaded();
};
dojo.addOnLoad=function(obj,_3d){
var dh=dojo.hostenv;
if(arguments.length==1){
dh.modulesLoadedListeners.push(obj);
}else{
if(arguments.length>1){
dh.modulesLoadedListeners.push(function(){
obj[_3d]();
});
}
}
if(dh.post_load_&&dh.inFlightCount==0&&!dh.loadNotifying){
dh.callLoaded();
}
};
dojo.addOnUnload=function(obj,_40){
var dh=dojo.hostenv;
if(arguments.length==1){
dh.unloadListeners.push(obj);
}else{
if(arguments.length>1){
dh.unloadListeners.push(function(){
obj[_40]();
});
}
}
};
dojo.hostenv.modulesLoaded=function(){
if(this.post_load_){
return;
}
if(this.loadUriStack.length==0&&this.getTextStack.length==0){
if(this.inFlightCount>0){
dojo.debug("files still in flight!");
return;
}
dojo.hostenv.callLoaded();
}
};
dojo.hostenv.callLoaded=function(){
if(typeof setTimeout=="object"){
setTimeout("dojo.hostenv.loaded();",0);
}else{
dojo.hostenv.loaded();
}
};
dojo.hostenv.getModuleSymbols=function(_42){
var _43=_42.split(".");
for(var i=_43.length;i>0;i--){
var _45=_43.slice(0,i).join(".");
if((i==1)&&!this.moduleHasPrefix(_45)){
_43[0]="../"+_43[0];
}else{
var _46=this.getModulePrefix(_45);
if(_46!=_45){
_43.splice(0,i,_46);
break;
}
}
}
return _43;
};
dojo.hostenv._global_omit_module_check=false;
dojo.hostenv.loadModule=function(_47,_48,_49){
if(!_47){
return;
}
_49=this._global_omit_module_check||_49;
var _4a=this.findModule(_47,false);
if(_4a){
return _4a;
}
if(dj_undef(_47,this.loading_modules_)){
this.addedToLoadingCount.push(_47);
}
this.loading_modules_[_47]=1;
var _4b=_47.replace(/\./g,"/")+".js";
var _4c=_47.split(".");
var _4d=this.getModuleSymbols(_47);
var _4e=((_4d[0].charAt(0)!="/")&&!_4d[0].match(/^\w+:/));
var _4f=_4d[_4d.length-1];
var ok;
if(_4f=="*"){
_47=_4c.slice(0,-1).join(".");
while(_4d.length){
_4d.pop();
_4d.push(this.pkgFileName);
_4b=_4d.join("/")+".js";
if(_4e&&_4b.charAt(0)=="/"){
_4b=_4b.slice(1);
}
ok=this.loadPath(_4b,!_49?_47:null);
if(ok){
break;
}
_4d.pop();
}
}else{
_4b=_4d.join("/")+".js";
_47=_4c.join(".");
var _51=!_49?_47:null;
ok=this.loadPath(_4b,_51);
if(!ok&&!_48){
_4d.pop();
while(_4d.length){
_4b=_4d.join("/")+".js";
ok=this.loadPath(_4b,_51);
if(ok){
break;
}
_4d.pop();
_4b=_4d.join("/")+"/"+this.pkgFileName+".js";
if(_4e&&_4b.charAt(0)=="/"){
_4b=_4b.slice(1);
}
ok=this.loadPath(_4b,_51);
if(ok){
break;
}
}
}
if(!ok&&!_49){
dojo.raise("Could not load '"+_47+"'; last tried '"+_4b+"'");
}
}
if(!_49&&!this["isXDomain"]){
_4a=this.findModule(_47,false);
if(!_4a){
dojo.raise("symbol '"+_47+"' is not defined after loading '"+_4b+"'");
}
}
return _4a;
};
dojo.hostenv.startPackage=function(_52){
var _53=String(_52);
var _54=_53;
var _55=_52.split(/\./);
if(_55[_55.length-1]=="*"){
_55.pop();
_54=_55.join(".");
}
var _56=dojo.evalObjPath(_54,true);
this.loaded_modules_[_53]=_56;
this.loaded_modules_[_54]=_56;
return _56;
};
dojo.hostenv.findModule=function(_57,_58){
var lmn=String(_57);
if(this.loaded_modules_[lmn]){
return this.loaded_modules_[lmn];
}
if(_58){
dojo.raise("no loaded module named '"+_57+"'");
}
return null;
};
dojo.kwCompoundRequire=function(_5a){
var _5b=_5a["common"]||[];
var _5c=_5a[dojo.hostenv.name_]?_5b.concat(_5a[dojo.hostenv.name_]||[]):_5b.concat(_5a["default"]||[]);
for(var x=0;x<_5c.length;x++){
var _5e=_5c[x];
if(_5e.constructor==Array){
dojo.hostenv.loadModule.apply(dojo.hostenv,_5e);
}else{
dojo.hostenv.loadModule(_5e);
}
}
};
dojo.require=function(_5f){
dojo.hostenv.loadModule.apply(dojo.hostenv,arguments);
};
dojo.requireIf=function(_60,_61){
var _62=arguments[0];
if((_62===true)||(_62=="common")||(_62&&dojo.render[_62].capable)){
var _63=[];
for(var i=1;i<arguments.length;i++){
_63.push(arguments[i]);
}
dojo.require.apply(dojo,_63);
}
};
dojo.requireAfterIf=dojo.requireIf;
dojo.provide=function(_65){
return dojo.hostenv.startPackage.apply(dojo.hostenv,arguments);
};
dojo.registerModulePath=function(_66,_67){
return dojo.hostenv.setModulePrefix(_66,_67);
};
dojo.setModulePrefix=function(_68,_69){
dojo.deprecated("dojo.setModulePrefix(\""+_68+"\", \""+_69+"\")","replaced by dojo.registerModulePath","0.5");
return dojo.registerModulePath(_68,_69);
};
dojo.exists=function(obj,_6b){
var p=_6b.split(".");
for(var i=0;i<p.length;i++){
if(!obj[p[i]]){
return false;
}
obj=obj[p[i]];
}
return true;
};
dojo.hostenv.normalizeLocale=function(_6e){
return _6e?_6e.toLowerCase():dojo.locale;
};
dojo.hostenv.searchLocalePath=function(_6f,_70,_71){
_6f=dojo.hostenv.normalizeLocale(_6f);
var _72=_6f.split("-");
var _73=[];
for(var i=_72.length;i>0;i--){
_73.push(_72.slice(0,i).join("-"));
}
_73.push(false);
if(_70){
_73.reverse();
}
for(var j=_73.length-1;j>=0;j--){
var loc=_73[j]||"ROOT";
var _77=_71(loc);
if(_77){
break;
}
}
};
dojo.hostenv.localesGenerated;
dojo.hostenv.registerNlsPrefix=function(){
dojo.registerModulePath("nls","nls");
};
dojo.hostenv.preloadLocalizations=function(){
if(dojo.hostenv.localesGenerated){
dojo.hostenv.registerNlsPrefix();
function preload(_78){
_78=dojo.hostenv.normalizeLocale(_78);
dojo.hostenv.searchLocalePath(_78,true,function(loc){
for(var i=0;i<dojo.hostenv.localesGenerated.length;i++){
if(dojo.hostenv.localesGenerated[i]==loc){
dojo["require"]("nls.dojo_"+loc);
return true;
}
}
return false;
});
}
preload();
var _7b=djConfig.extraLocale||[];
for(var i=0;i<_7b.length;i++){
preload(_7b[i]);
}
}
dojo.hostenv.preloadLocalizations=function(){
};
};
dojo.requireLocalization=function(_7d,_7e,_7f){
dojo.hostenv.preloadLocalizations();
var _80=[_7d,"nls",_7e].join(".");
var _81=dojo.hostenv.findModule(_80);
if(_81){
if(djConfig.localizationComplete&&_81._built){
return;
}
var _82=dojo.hostenv.normalizeLocale(_7f).replace("-","_");
var _83=_80+"."+_82;
if(dojo.hostenv.findModule(_83)){
return;
}
}
_81=dojo.hostenv.startPackage(_80);
var _84=dojo.hostenv.getModuleSymbols(_7d);
var _85=_84.concat("nls").join("/");
var _86;
dojo.hostenv.searchLocalePath(_7f,false,function(loc){
var _88=loc.replace("-","_");
var _89=_80+"."+_88;
var _8a=false;
if(!dojo.hostenv.findModule(_89)){
dojo.hostenv.startPackage(_89);
var _8b=[_85];
if(loc!="ROOT"){
_8b.push(loc);
}
_8b.push(_7e);
var _8c=_8b.join("/")+".js";
_8a=dojo.hostenv.loadPath(_8c,null,function(_8d){
var _8e=function(){
};
_8e.prototype=_86;
_81[_88]=new _8e();
for(var j in _8d){
_81[_88][j]=_8d[j];
}
});
}else{
_8a=true;
}
if(_8a&&_81[_88]){
_86=_81[_88];
}else{
_81[_88]=_86;
}
});
};
(function(){
var _90=djConfig.extraLocale;
if(_90){
if(!_90 instanceof Array){
_90=[_90];
}
var req=dojo.requireLocalization;
dojo.requireLocalization=function(m,b,_94){
req(m,b,_94);
if(_94){
return;
}
for(var i=0;i<_90.length;i++){
req(m,b,_90[i]);
}
};
}
})();
}
if(typeof window!="undefined"){
(function(){
if(djConfig.allowQueryConfig){
var _96=document.location.toString();
var _97=_96.split("?",2);
if(_97.length>1){
var _98=_97[1];
var _99=_98.split("&");
for(var x in _99){
var sp=_99[x].split("=");
if((sp[0].length>9)&&(sp[0].substr(0,9)=="djConfig.")){
var opt=sp[0].substr(9);
try{
djConfig[opt]=eval(sp[1]);
}
catch(e){
djConfig[opt]=sp[1];
}
}
}
}
}
if(((djConfig["baseScriptUri"]=="")||(djConfig["baseRelativePath"]==""))&&(document&&document.getElementsByTagName)){
var _9d=document.getElementsByTagName("script");
var _9e=/(__package__|dojo|bootstrap1)\.js([\?\.]|$)/i;
for(var i=0;i<_9d.length;i++){
var src=_9d[i].getAttribute("src");
if(!src){
continue;
}
var m=src.match(_9e);
if(m){
var _a2=src.substring(0,m.index);
if(src.indexOf("bootstrap1")>-1){
_a2+="../";
}
if(!this["djConfig"]){
djConfig={};
}
if(djConfig["baseScriptUri"]==""){
djConfig["baseScriptUri"]=_a2;
}
if(djConfig["baseRelativePath"]==""){
djConfig["baseRelativePath"]=_a2;
}
break;
}
}
}
var dr=dojo.render;
var drh=dojo.render.html;
var drs=dojo.render.svg;
var dua=(drh.UA=navigator.userAgent);
var dav=(drh.AV=navigator.appVersion);
var t=true;
var f=false;
drh.capable=t;
drh.support.builtin=t;
dr.ver=parseFloat(drh.AV);
dr.os.mac=dav.indexOf("Macintosh")>=0;
dr.os.win=dav.indexOf("Windows")>=0;
dr.os.linux=dav.indexOf("X11")>=0;
drh.opera=dua.indexOf("Opera")>=0;
drh.khtml=(dav.indexOf("Konqueror")>=0)||(dav.indexOf("Safari")>=0);
drh.safari=dav.indexOf("Safari")>=0;
var _aa=dua.indexOf("Gecko");
drh.mozilla=drh.moz=(_aa>=0)&&(!drh.khtml);
if(drh.mozilla){
drh.geckoVersion=dua.substring(_aa+6,_aa+14);
}
drh.ie=(document.all)&&(!drh.opera);
drh.ie50=drh.ie&&dav.indexOf("MSIE 5.0")>=0;
drh.ie55=drh.ie&&dav.indexOf("MSIE 5.5")>=0;
drh.ie60=drh.ie&&dav.indexOf("MSIE 6.0")>=0;
drh.ie70=drh.ie&&dav.indexOf("MSIE 7.0")>=0;
var cm=document["compatMode"];
drh.quirks=(cm=="BackCompat")||(cm=="QuirksMode")||drh.ie55||drh.ie50;
dojo.locale=dojo.locale||(drh.ie?navigator.userLanguage:navigator.language).toLowerCase();
dr.vml.capable=drh.ie;
drs.capable=f;
drs.support.plugin=f;
drs.support.builtin=f;
var _ac=window["document"];
var tdi=_ac["implementation"];
if((tdi)&&(tdi["hasFeature"])&&(tdi.hasFeature("org.w3c.dom.svg","1.0"))){
drs.capable=t;
drs.support.builtin=t;
drs.support.plugin=f;
}
if(drh.safari){
var tmp=dua.split("AppleWebKit/")[1];
var ver=parseFloat(tmp.split(" ")[0]);
if(ver>=420){
drs.capable=t;
drs.support.builtin=t;
drs.support.plugin=f;
}
}
})();
dojo.hostenv.startPackage("dojo.hostenv");
dojo.render.name=dojo.hostenv.name_="browser";
dojo.hostenv.searchIds=[];
dojo.hostenv._XMLHTTP_PROGIDS=["Msxml2.XMLHTTP","Microsoft.XMLHTTP","Msxml2.XMLHTTP.4.0"];
dojo.hostenv.getXmlhttpObject=function(){
var _b0=null;
var _b1=null;
try{
_b0=new XMLHttpRequest();
}
catch(e){
}
if(!_b0){
for(var i=0;i<3;++i){
var _b3=dojo.hostenv._XMLHTTP_PROGIDS[i];
try{
_b0=new ActiveXObject(_b3);
}
catch(e){
_b1=e;
}
if(_b0){
dojo.hostenv._XMLHTTP_PROGIDS=[_b3];
break;
}
}
}
if(!_b0){
return dojo.raise("XMLHTTP not available",_b1);
}
return _b0;
};
dojo.hostenv._blockAsync=false;
dojo.hostenv.getText=function(uri,_b5,_b6){
if(!_b5){
this._blockAsync=true;
}
var _b7=this.getXmlhttpObject();
function isDocumentOk(_b8){
var _b9=_b8["status"];
return Boolean((!_b9)||((200<=_b9)&&(300>_b9))||(_b9==304));
}
if(_b5){
var _ba=this,_bb=null,gbl=dojo.global();
var xhr=dojo.evalObjPath("dojo.io.XMLHTTPTransport");
_b7.onreadystatechange=function(){
if(_bb){
gbl.clearTimeout(_bb);
_bb=null;
}
if(_ba._blockAsync||(xhr&&xhr._blockAsync)){
_bb=gbl.setTimeout(function(){
_b7.onreadystatechange.apply(this);
},10);
}else{
if(4==_b7.readyState){
if(isDocumentOk(_b7)){
_b5(_b7.responseText);
}
}
}
};
}
_b7.open("GET",uri,_b5?true:false);
try{
_b7.send(null);
if(_b5){
return null;
}
if(!isDocumentOk(_b7)){
var err=Error("Unable to load "+uri+" status:"+_b7.status);
err.status=_b7.status;
err.responseText=_b7.responseText;
throw err;
}
}
catch(e){
this._blockAsync=false;
if((_b6)&&(!_b5)){
return null;
}else{
throw e;
}
}
this._blockAsync=false;
return _b7.responseText;
};
dojo.hostenv.defaultDebugContainerId="dojoDebug";
dojo.hostenv._println_buffer=[];
dojo.hostenv._println_safe=false;
dojo.hostenv.println=function(_bf){
if(!dojo.hostenv._println_safe){
dojo.hostenv._println_buffer.push(_bf);
}else{
try{
var _c0=document.getElementById(djConfig.debugContainerId?djConfig.debugContainerId:dojo.hostenv.defaultDebugContainerId);
if(!_c0){
_c0=dojo.body();
}
var div=document.createElement("div");
div.appendChild(document.createTextNode(_bf));
_c0.appendChild(div);
}
catch(e){
try{
document.write("<div>"+_bf+"</div>");
}
catch(e2){
window.status=_bf;
}
}
}
};
dojo.addOnLoad(function(){
dojo.hostenv._println_safe=true;
while(dojo.hostenv._println_buffer.length>0){
dojo.hostenv.println(dojo.hostenv._println_buffer.shift());
}
});
function dj_addNodeEvtHdlr(_c2,_c3,fp,_c5){
var _c6=_c2["on"+_c3]||function(){
};
_c2["on"+_c3]=function(){
fp.apply(_c2,arguments);
_c6.apply(_c2,arguments);
};
return true;
}
function dj_load_init(e){
var _c8=(e&&e.type)?e.type.toLowerCase():"load";
if(arguments.callee.initialized||(_c8!="domcontentloaded"&&_c8!="load")){
return;
}
arguments.callee.initialized=true;
if(typeof (_timer)!="undefined"){
clearInterval(_timer);
delete _timer;
}
var _c9=function(){
if(dojo.render.html.ie){
dojo.hostenv.makeWidgets();
}
};
if(dojo.hostenv.inFlightCount==0){
_c9();
dojo.hostenv.modulesLoaded();
}else{
dojo.addOnLoad(_c9);
}
}
if(document.addEventListener){
if(dojo.render.html.opera||(dojo.render.html.moz&&!djConfig.delayMozLoadingFix)){
document.addEventListener("DOMContentLoaded",dj_load_init,null);
}
window.addEventListener("load",dj_load_init,null);
}
if(dojo.render.html.ie&&dojo.render.os.win){
document.attachEvent("onreadystatechange",function(e){
if(document.readyState=="complete"){
dj_load_init();
}
});
}
if(/(WebKit|khtml)/i.test(navigator.userAgent)){
var _timer=setInterval(function(){
if(/loaded|complete/.test(document.readyState)){
dj_load_init();
}
},10);
}
if(dojo.render.html.ie){
dj_addNodeEvtHdlr(window,"beforeunload",function(){
dojo.hostenv._unloading=true;
window.setTimeout(function(){
dojo.hostenv._unloading=false;
},0);
});
}
dj_addNodeEvtHdlr(window,"unload",function(){
dojo.hostenv.unloaded();
if((!dojo.render.html.ie)||(dojo.render.html.ie&&dojo.hostenv._unloading)){
dojo.hostenv.unloaded();
}
});
dojo.hostenv.makeWidgets=function(){
var _cb=[];
if(djConfig.searchIds&&djConfig.searchIds.length>0){
_cb=_cb.concat(djConfig.searchIds);
}
if(dojo.hostenv.searchIds&&dojo.hostenv.searchIds.length>0){
_cb=_cb.concat(dojo.hostenv.searchIds);
}
if((djConfig.parseWidgets)||(_cb.length>0)){
if(dojo.evalObjPath("dojo.widget.Parse")){
var _cc=new dojo.xml.Parse();
if(_cb.length>0){
for(var x=0;x<_cb.length;x++){
var _ce=document.getElementById(_cb[x]);
if(!_ce){
continue;
}
var _cf=_cc.parseElement(_ce,null,true);
dojo.widget.getParser().createComponents(_cf);
}
}else{
if(djConfig.parseWidgets){
var _cf=_cc.parseElement(dojo.body(),null,true);
dojo.widget.getParser().createComponents(_cf);
}
}
}
}
};
dojo.addOnLoad(function(){
if(!dojo.render.html.ie){
dojo.hostenv.makeWidgets();
}
});
try{
if(dojo.render.html.ie){
document.namespaces.add("v","urn:schemas-microsoft-com:vml");
document.createStyleSheet().addRule("v\\:*","behavior:url(#default#VML)");
}
}
catch(e){
}
dojo.hostenv.writeIncludes=function(){
};
if(!dj_undef("document",this)){
dj_currentDocument=this.document;
}
dojo.doc=function(){
return dj_currentDocument;
};
dojo.body=function(){
return dojo.doc().body||dojo.doc().getElementsByTagName("body")[0];
};
dojo.byId=function(id,doc){
if((id)&&((typeof id=="string")||(id instanceof String))){
if(!doc){
doc=dj_currentDocument;
}
var ele=doc.getElementById(id);
if(ele&&(ele.id!=id)&&doc.all){
ele=null;
eles=doc.all[id];
if(eles){
if(eles.length){
for(var i=0;i<eles.length;i++){
if(eles[i].id==id){
ele=eles[i];
break;
}
}
}else{
ele=eles;
}
}
}
return ele;
}
return id;
};
dojo.setContext=function(_d4,_d5){
dj_currentContext=_d4;
dj_currentDocument=_d5;
};
dojo._fireCallback=function(_d6,_d7,_d8){
if((_d7)&&((typeof _d6=="string")||(_d6 instanceof String))){
_d6=_d7[_d6];
}
return (_d7?_d6.apply(_d7,_d8||[]):_d6());
};
dojo.withGlobal=function(_d9,_da,_db,_dc){
var _dd;
var _de=dj_currentContext;
var _df=dj_currentDocument;
try{
dojo.setContext(_d9,_d9.document);
_dd=dojo._fireCallback(_da,_db,_dc);
}
finally{
dojo.setContext(_de,_df);
}
return _dd;
};
dojo.withDoc=function(_e0,_e1,_e2,_e3){
var _e4;
var _e5=dj_currentDocument;
try{
dj_currentDocument=_e0;
_e4=dojo._fireCallback(_e1,_e2,_e3);
}
finally{
dj_currentDocument=_e5;
}
return _e4;
};
}
(function(){
if(typeof dj_usingBootstrap!="undefined"){
return;
}
var _e6=false;
var _e7=false;
var _e8=false;
if((typeof this["load"]=="function")&&((typeof this["Packages"]=="function")||(typeof this["Packages"]=="object"))){
_e6=true;
}else{
if(typeof this["load"]=="function"){
_e7=true;
}else{
if(window.widget){
_e8=true;
}
}
}
var _e9=[];
if((this["djConfig"])&&((djConfig["isDebug"])||(djConfig["debugAtAllCosts"]))){
_e9.push("debug.js");
}
if((this["djConfig"])&&(djConfig["debugAtAllCosts"])&&(!_e6)&&(!_e8)){
_e9.push("browser_debug.js");
}
var _ea=djConfig["baseScriptUri"];
if((this["djConfig"])&&(djConfig["baseLoaderUri"])){
_ea=djConfig["baseLoaderUri"];
}
for(var x=0;x<_e9.length;x++){
var _ec=_ea+"src/"+_e9[x];
if(_e6||_e7){
load(_ec);
}else{
try{
document.write("<scr"+"ipt type='text/javascript' src='"+_ec+"'></scr"+"ipt>");
}
catch(e){
var _ed=document.createElement("script");
_ed.src=_ec;
document.getElementsByTagName("head")[0].appendChild(_ed);
}
}
}
})();
dojo.provide("dojo.lang.common");
dojo.lang.inherits=function(_ee,_ef){
if(typeof _ef!="function"){
dojo.raise("dojo.inherits: superclass argument ["+_ef+"] must be a function (subclass: ["+_ee+"']");
}
_ee.prototype=new _ef();
_ee.prototype.constructor=_ee;
_ee.superclass=_ef.prototype;
_ee["super"]=_ef.prototype;
};
dojo.lang._mixin=function(obj,_f1){
var _f2={};
for(var x in _f1){
if((typeof _f2[x]=="undefined")||(_f2[x]!=_f1[x])){
obj[x]=_f1[x];
}
}
if(dojo.render.html.ie&&(typeof (_f1["toString"])=="function")&&(_f1["toString"]!=obj["toString"])&&(_f1["toString"]!=_f2["toString"])){
obj.toString=_f1.toString;
}
return obj;
};
dojo.lang.mixin=function(obj,_f5){
for(var i=1,l=arguments.length;i<l;i++){
dojo.lang._mixin(obj,arguments[i]);
}
return obj;
};
dojo.lang.extend=function(_f8,_f9){
for(var i=1,l=arguments.length;i<l;i++){
dojo.lang._mixin(_f8.prototype,arguments[i]);
}
return _f8;
};
dojo.inherits=dojo.lang.inherits;
dojo.mixin=dojo.lang.mixin;
dojo.extend=dojo.lang.extend;
dojo.lang.find=function(_fc,_fd,_fe,_ff){
if(!dojo.lang.isArrayLike(_fc)&&dojo.lang.isArrayLike(_fd)){
dojo.deprecated("dojo.lang.find(value, array)","use dojo.lang.find(array, value) instead","0.5");
var temp=_fc;
_fc=_fd;
_fd=temp;
}
var _101=dojo.lang.isString(_fc);
if(_101){
_fc=_fc.split("");
}
if(_ff){
var step=-1;
var i=_fc.length-1;
var end=-1;
}else{
var step=1;
var i=0;
var end=_fc.length;
}
if(_fe){
while(i!=end){
if(_fc[i]===_fd){
return i;
}
i+=step;
}
}else{
while(i!=end){
if(_fc[i]==_fd){
return i;
}
i+=step;
}
}
return -1;
};
dojo.lang.indexOf=dojo.lang.find;
dojo.lang.findLast=function(_105,_106,_107){
return dojo.lang.find(_105,_106,_107,true);
};
dojo.lang.lastIndexOf=dojo.lang.findLast;
dojo.lang.inArray=function(_108,_109){
return dojo.lang.find(_108,_109)>-1;
};
dojo.lang.isObject=function(it){
if(typeof it=="undefined"){
return false;
}
return (typeof it=="object"||it===null||dojo.lang.isArray(it)||dojo.lang.isFunction(it));
};
dojo.lang.isArray=function(it){
return (it&&it instanceof Array||typeof it=="array");
};
dojo.lang.isArrayLike=function(it){
if((!it)||(dojo.lang.isUndefined(it))){
return false;
}
if(dojo.lang.isString(it)){
return false;
}
if(dojo.lang.isFunction(it)){
return false;
}
if(dojo.lang.isArray(it)){
return true;
}
if((it.tagName)&&(it.tagName.toLowerCase()=="form")){
return false;
}
if(dojo.lang.isNumber(it.length)&&isFinite(it.length)){
return true;
}
return false;
};
dojo.lang.isFunction=function(it){
if(!it){
return false;
}
if((typeof (it)=="function")&&(it=="[object NodeList]")){
return false;
}
return (it instanceof Function||typeof it=="function");
};
dojo.lang.isString=function(it){
return (typeof it=="string"||it instanceof String);
};
dojo.lang.isAlien=function(it){
if(!it){
return false;
}
return !dojo.lang.isFunction()&&/\{\s*\[native code\]\s*\}/.test(String(it));
};
dojo.lang.isBoolean=function(it){
return (it instanceof Boolean||typeof it=="boolean");
};
dojo.lang.isNumber=function(it){
return (it instanceof Number||typeof it=="number");
};
dojo.lang.isUndefined=function(it){
return ((typeof (it)=="undefined")&&(it==undefined));
};
dojo.provide("dojo.lang.array");
dojo.lang.has=function(obj,name){
try{
return typeof obj[name]!="undefined";
}
catch(e){
return false;
}
};
dojo.lang.isEmpty=function(obj){
if(dojo.lang.isObject(obj)){
var tmp={};
var _117=0;
for(var x in obj){
if(obj[x]&&(!tmp[x])){
_117++;
break;
}
}
return _117==0;
}else{
if(dojo.lang.isArrayLike(obj)||dojo.lang.isString(obj)){
return obj.length==0;
}
}
};
dojo.lang.map=function(arr,obj,_11b){
var _11c=dojo.lang.isString(arr);
if(_11c){
arr=arr.split("");
}
if(dojo.lang.isFunction(obj)&&(!_11b)){
_11b=obj;
obj=dj_global;
}else{
if(dojo.lang.isFunction(obj)&&_11b){
var _11d=obj;
obj=_11b;
_11b=_11d;
}
}
if(Array.map){
var _11e=Array.map(arr,_11b,obj);
}else{
var _11e=[];
for(var i=0;i<arr.length;++i){
_11e.push(_11b.call(obj,arr[i]));
}
}
if(_11c){
return _11e.join("");
}else{
return _11e;
}
};
dojo.lang.reduce=function(arr,_121,obj,_123){
var _124=_121;
var ob=obj?obj:dj_global;
dojo.lang.map(arr,function(val){
_124=_123.call(ob,_124,val);
});
return _124;
};
dojo.lang.forEach=function(_127,_128,_129){
if(dojo.lang.isString(_127)){
_127=_127.split("");
}
if(Array.forEach){
Array.forEach(_127,_128,_129);
}else{
if(!_129){
_129=dj_global;
}
for(var i=0,l=_127.length;i<l;i++){
_128.call(_129,_127[i],i,_127);
}
}
};
dojo.lang._everyOrSome=function(_12c,arr,_12e,_12f){
if(dojo.lang.isString(arr)){
arr=arr.split("");
}
if(Array.every){
return Array[_12c?"every":"some"](arr,_12e,_12f);
}else{
if(!_12f){
_12f=dj_global;
}
for(var i=0,l=arr.length;i<l;i++){
var _132=_12e.call(_12f,arr[i],i,arr);
if(_12c&&!_132){
return false;
}else{
if((!_12c)&&(_132)){
return true;
}
}
}
return Boolean(_12c);
}
};
dojo.lang.every=function(arr,_134,_135){
return this._everyOrSome(true,arr,_134,_135);
};
dojo.lang.some=function(arr,_137,_138){
return this._everyOrSome(false,arr,_137,_138);
};
dojo.lang.filter=function(arr,_13a,_13b){
var _13c=dojo.lang.isString(arr);
if(_13c){
arr=arr.split("");
}
var _13d;
if(Array.filter){
_13d=Array.filter(arr,_13a,_13b);
}else{
if(!_13b){
if(arguments.length>=3){
dojo.raise("thisObject doesn't exist!");
}
_13b=dj_global;
}
_13d=[];
for(var i=0;i<arr.length;i++){
if(_13a.call(_13b,arr[i],i,arr)){
_13d.push(arr[i]);
}
}
}
if(_13c){
return _13d.join("");
}else{
return _13d;
}
};
dojo.lang.unnest=function(){
var out=[];
for(var i=0;i<arguments.length;i++){
if(dojo.lang.isArrayLike(arguments[i])){
var add=dojo.lang.unnest.apply(this,arguments[i]);
out=out.concat(add);
}else{
out.push(arguments[i]);
}
}
return out;
};
dojo.lang.toArray=function(_142,_143){
var _144=[];
for(var i=_143||0;i<_142.length;i++){
_144.push(_142[i]);
}
return _144;
};
dojo.provide("dojo.gfx.color");
dojo.gfx.color.Color=function(r,g,b,a){
if(dojo.lang.isArray(r)){
this.r=r[0];
this.g=r[1];
this.b=r[2];
this.a=r[3]||1;
}else{
if(dojo.lang.isString(r)){
var rgb=dojo.gfx.color.extractRGB(r);
this.r=rgb[0];
this.g=rgb[1];
this.b=rgb[2];
this.a=g||1;
}else{
if(r instanceof dojo.gfx.color.Color){
this.r=r.r;
this.b=r.b;
this.g=r.g;
this.a=r.a;
}else{
this.r=r;
this.g=g;
this.b=b;
this.a=a;
}
}
}
};
dojo.gfx.color.Color.fromArray=function(arr){
return new dojo.gfx.color.Color(arr[0],arr[1],arr[2],arr[3]);
};
dojo.extend(dojo.gfx.color.Color,{toRgb:function(_14c){
if(_14c){
return this.toRgba();
}else{
return [this.r,this.g,this.b];
}
},toRgba:function(){
return [this.r,this.g,this.b,this.a];
},toHex:function(){
return dojo.gfx.color.rgb2hex(this.toRgb());
},toCss:function(){
return "rgb("+this.toRgb().join()+")";
},toString:function(){
return this.toHex();
},blend:function(_14d,_14e){
var rgb=null;
if(dojo.lang.isArray(_14d)){
rgb=_14d;
}else{
if(_14d instanceof dojo.gfx.color.Color){
rgb=_14d.toRgb();
}else{
rgb=new dojo.gfx.color.Color(_14d).toRgb();
}
}
return dojo.gfx.color.blend(this.toRgb(),rgb,_14e);
}});
dojo.gfx.color.named={white:[255,255,255],black:[0,0,0],red:[255,0,0],green:[0,255,0],lime:[0,255,0],blue:[0,0,255],navy:[0,0,128],gray:[128,128,128],silver:[192,192,192]};
dojo.gfx.color.blend=function(a,b,_152){
if(typeof a=="string"){
return dojo.gfx.color.blendHex(a,b,_152);
}
if(!_152){
_152=0;
}
_152=Math.min(Math.max(-1,_152),1);
_152=((_152+1)/2);
var c=[];
for(var x=0;x<3;x++){
c[x]=parseInt(b[x]+((a[x]-b[x])*_152));
}
return c;
};
dojo.gfx.color.blendHex=function(a,b,_157){
return dojo.gfx.color.rgb2hex(dojo.gfx.color.blend(dojo.gfx.color.hex2rgb(a),dojo.gfx.color.hex2rgb(b),_157));
};
dojo.gfx.color.extractRGB=function(_158){
var hex="0123456789abcdef";
_158=_158.toLowerCase();
if(_158.indexOf("rgb")==0){
var _15a=_158.match(/rgba*\((\d+), *(\d+), *(\d+)/i);
var ret=_15a.splice(1,3);
return ret;
}else{
var _15c=dojo.gfx.color.hex2rgb(_158);
if(_15c){
return _15c;
}else{
return dojo.gfx.color.named[_158]||[255,255,255];
}
}
};
dojo.gfx.color.hex2rgb=function(hex){
var _15e="0123456789ABCDEF";
var rgb=new Array(3);
if(hex.indexOf("#")==0){
hex=hex.substring(1);
}
hex=hex.toUpperCase();
if(hex.replace(new RegExp("["+_15e+"]","g"),"")!=""){
return null;
}
if(hex.length==3){
rgb[0]=hex.charAt(0)+hex.charAt(0);
rgb[1]=hex.charAt(1)+hex.charAt(1);
rgb[2]=hex.charAt(2)+hex.charAt(2);
}else{
rgb[0]=hex.substring(0,2);
rgb[1]=hex.substring(2,4);
rgb[2]=hex.substring(4);
}
for(var i=0;i<rgb.length;i++){
rgb[i]=_15e.indexOf(rgb[i].charAt(0))*16+_15e.indexOf(rgb[i].charAt(1));
}
return rgb;
};
dojo.gfx.color.rgb2hex=function(r,g,b){
if(dojo.lang.isArray(r)){
g=r[1]||0;
b=r[2]||0;
r=r[0]||0;
}
var ret=dojo.lang.map([r,g,b],function(x){
x=new Number(x);
var s=x.toString(16);
while(s.length<2){
s="0"+s;
}
return s;
});
ret.unshift("#");
return ret.join("");
};
dojo.provide("dojo.lang.func");
dojo.lang.hitch=function(_167,_168){
var fcn=(dojo.lang.isString(_168)?_167[_168]:_168)||function(){
};
return function(){
return fcn.apply(_167,arguments);
};
};
dojo.lang.anonCtr=0;
dojo.lang.anon={};
dojo.lang.nameAnonFunc=function(_16a,_16b,_16c){
var nso=(_16b||dojo.lang.anon);
if((_16c)||((dj_global["djConfig"])&&(djConfig["slowAnonFuncLookups"]==true))){
for(var x in nso){
try{
if(nso[x]===_16a){
return x;
}
}
catch(e){
}
}
}
var ret="__"+dojo.lang.anonCtr++;
while(typeof nso[ret]!="undefined"){
ret="__"+dojo.lang.anonCtr++;
}
nso[ret]=_16a;
return ret;
};
dojo.lang.forward=function(_170){
return function(){
return this[_170].apply(this,arguments);
};
};
dojo.lang.curry=function(ns,func){
var _173=[];
ns=ns||dj_global;
if(dojo.lang.isString(func)){
func=ns[func];
}
for(var x=2;x<arguments.length;x++){
_173.push(arguments[x]);
}
var _175=(func["__preJoinArity"]||func.length)-_173.length;
function gather(_176,_177,_178){
var _179=_178;
var _17a=_177.slice(0);
for(var x=0;x<_176.length;x++){
_17a.push(_176[x]);
}
_178=_178-_176.length;
if(_178<=0){
var res=func.apply(ns,_17a);
_178=_179;
return res;
}else{
return function(){
return gather(arguments,_17a,_178);
};
}
}
return gather([],_173,_175);
};
dojo.lang.curryArguments=function(ns,func,args,_180){
var _181=[];
var x=_180||0;
for(x=_180;x<args.length;x++){
_181.push(args[x]);
}
return dojo.lang.curry.apply(dojo.lang,[ns,func].concat(_181));
};
dojo.lang.tryThese=function(){
for(var x=0;x<arguments.length;x++){
try{
if(typeof arguments[x]=="function"){
var ret=(arguments[x]());
if(ret){
return ret;
}
}
}
catch(e){
dojo.debug(e);
}
}
};
dojo.lang.delayThese=function(farr,cb,_187,_188){
if(!farr.length){
if(typeof _188=="function"){
_188();
}
return;
}
if((typeof _187=="undefined")&&(typeof cb=="number")){
_187=cb;
cb=function(){
};
}else{
if(!cb){
cb=function(){
};
if(!_187){
_187=0;
}
}
}
setTimeout(function(){
(farr.shift())();
cb();
dojo.lang.delayThese(farr,cb,_187,_188);
},_187);
};
dojo.provide("dojo.lfx.Animation");
dojo.lfx.Line=function(_189,end){
this.start=_189;
this.end=end;
if(dojo.lang.isArray(_189)){
var diff=[];
dojo.lang.forEach(this.start,function(s,i){
diff[i]=this.end[i]-s;
},this);
this.getValue=function(n){
var res=[];
dojo.lang.forEach(this.start,function(s,i){
res[i]=(diff[i]*n)+s;
},this);
return res;
};
}else{
var diff=end-_189;
this.getValue=function(n){
return (diff*n)+this.start;
};
}
};
dojo.lfx.easeDefault=function(n){
if(dojo.render.html.khtml){
return (parseFloat("0.5")+((Math.sin((n+parseFloat("1.5"))*Math.PI))/2));
}else{
return (0.5+((Math.sin((n+1.5)*Math.PI))/2));
}
};
dojo.lfx.easeIn=function(n){
return Math.pow(n,3);
};
dojo.lfx.easeOut=function(n){
return (1-Math.pow(1-n,3));
};
dojo.lfx.easeInOut=function(n){
return ((3*Math.pow(n,2))-(2*Math.pow(n,3)));
};
dojo.lfx.IAnimation=function(){
};
dojo.lang.extend(dojo.lfx.IAnimation,{curve:null,duration:1000,easing:null,repeatCount:0,rate:25,handler:null,beforeBegin:null,onBegin:null,onAnimate:null,onEnd:null,onPlay:null,onPause:null,onStop:null,play:null,pause:null,stop:null,connect:function(evt,_198,_199){
if(!_199){
_199=_198;
_198=this;
}
_199=dojo.lang.hitch(_198,_199);
var _19a=this[evt]||function(){
};
this[evt]=function(){
var ret=_19a.apply(this,arguments);
_199.apply(this,arguments);
return ret;
};
return this;
},fire:function(evt,args){
if(this[evt]){
this[evt].apply(this,(args||[]));
}
return this;
},repeat:function(_19e){
this.repeatCount=_19e;
return this;
},_active:false,_paused:false});
dojo.lfx.Animation=function(_19f,_1a0,_1a1,_1a2,_1a3,rate){
dojo.lfx.IAnimation.call(this);
if(dojo.lang.isNumber(_19f)||(!_19f&&_1a0.getValue)){
rate=_1a3;
_1a3=_1a2;
_1a2=_1a1;
_1a1=_1a0;
_1a0=_19f;
_19f=null;
}else{
if(_19f.getValue||dojo.lang.isArray(_19f)){
rate=_1a2;
_1a3=_1a1;
_1a2=_1a0;
_1a1=_19f;
_1a0=null;
_19f=null;
}
}
if(dojo.lang.isArray(_1a1)){
this.curve=new dojo.lfx.Line(_1a1[0],_1a1[1]);
}else{
this.curve=_1a1;
}
if(_1a0!=null&&_1a0>0){
this.duration=_1a0;
}
if(_1a3){
this.repeatCount=_1a3;
}
if(rate){
this.rate=rate;
}
if(_19f){
dojo.lang.forEach(["handler","beforeBegin","onBegin","onEnd","onPlay","onStop","onAnimate"],function(item){
if(_19f[item]){
this.connect(item,_19f[item]);
}
},this);
}
if(_1a2&&dojo.lang.isFunction(_1a2)){
this.easing=_1a2;
}
};
dojo.inherits(dojo.lfx.Animation,dojo.lfx.IAnimation);
dojo.lang.extend(dojo.lfx.Animation,{_startTime:null,_endTime:null,_timer:null,_percent:0,_startRepeatCount:0,play:function(_1a6,_1a7){
if(_1a7){
clearTimeout(this._timer);
this._active=false;
this._paused=false;
this._percent=0;
}else{
if(this._active&&!this._paused){
return this;
}
}
this.fire("handler",["beforeBegin"]);
this.fire("beforeBegin");
if(_1a6>0){
setTimeout(dojo.lang.hitch(this,function(){
this.play(null,_1a7);
}),_1a6);
return this;
}
this._startTime=new Date().valueOf();
if(this._paused){
this._startTime-=(this.duration*this._percent/100);
}
this._endTime=this._startTime+this.duration;
this._active=true;
this._paused=false;
var step=this._percent/100;
var _1a9=this.curve.getValue(step);
if(this._percent==0){
if(!this._startRepeatCount){
this._startRepeatCount=this.repeatCount;
}
this.fire("handler",["begin",_1a9]);
this.fire("onBegin",[_1a9]);
}
this.fire("handler",["play",_1a9]);
this.fire("onPlay",[_1a9]);
this._cycle();
return this;
},pause:function(){
clearTimeout(this._timer);
if(!this._active){
return this;
}
this._paused=true;
var _1aa=this.curve.getValue(this._percent/100);
this.fire("handler",["pause",_1aa]);
this.fire("onPause",[_1aa]);
return this;
},gotoPercent:function(pct,_1ac){
clearTimeout(this._timer);
this._active=true;
this._paused=true;
this._percent=pct;
if(_1ac){
this.play();
}
return this;
},stop:function(_1ad){
clearTimeout(this._timer);
var step=this._percent/100;
if(_1ad){
step=1;
}
var _1af=this.curve.getValue(step);
this.fire("handler",["stop",_1af]);
this.fire("onStop",[_1af]);
this._active=false;
this._paused=false;
return this;
},status:function(){
if(this._active){
return this._paused?"paused":"playing";
}else{
return "stopped";
}
return this;
},_cycle:function(){
clearTimeout(this._timer);
if(this._active){
var curr=new Date().valueOf();
var step=(curr-this._startTime)/(this._endTime-this._startTime);
if(step>=1){
step=1;
this._percent=100;
}else{
this._percent=step*100;
}
if((this.easing)&&(dojo.lang.isFunction(this.easing))){
step=this.easing(step);
}
var _1b2=this.curve.getValue(step);
this.fire("handler",["animate",_1b2]);
this.fire("onAnimate",[_1b2]);
if(step<1){
this._timer=setTimeout(dojo.lang.hitch(this,"_cycle"),this.rate);
}else{
this._active=false;
this.fire("handler",["end"]);
this.fire("onEnd");
if(this.repeatCount>0){
this.repeatCount--;
this.play(null,true);
}else{
if(this.repeatCount==-1){
this.play(null,true);
}else{
if(this._startRepeatCount){
this.repeatCount=this._startRepeatCount;
this._startRepeatCount=0;
}
}
}
}
}
return this;
}});
dojo.lfx.Combine=function(_1b3){
dojo.lfx.IAnimation.call(this);
this._anims=[];
this._animsEnded=0;
var _1b4=arguments;
if(_1b4.length==1&&(dojo.lang.isArray(_1b4[0])||dojo.lang.isArrayLike(_1b4[0]))){
_1b4=_1b4[0];
}
dojo.lang.forEach(_1b4,function(anim){
this._anims.push(anim);
anim.connect("onEnd",dojo.lang.hitch(this,"_onAnimsEnded"));
},this);
};
dojo.inherits(dojo.lfx.Combine,dojo.lfx.IAnimation);
dojo.lang.extend(dojo.lfx.Combine,{_animsEnded:0,play:function(_1b6,_1b7){
if(!this._anims.length){
return this;
}
this.fire("beforeBegin");
if(_1b6>0){
setTimeout(dojo.lang.hitch(this,function(){
this.play(null,_1b7);
}),_1b6);
return this;
}
if(_1b7||this._anims[0].percent==0){
this.fire("onBegin");
}
this.fire("onPlay");
this._animsCall("play",null,_1b7);
return this;
},pause:function(){
this.fire("onPause");
this._animsCall("pause");
return this;
},stop:function(_1b8){
this.fire("onStop");
this._animsCall("stop",_1b8);
return this;
},_onAnimsEnded:function(){
this._animsEnded++;
if(this._animsEnded>=this._anims.length){
this.fire("onEnd");
}
return this;
},_animsCall:function(_1b9){
var args=[];
if(arguments.length>1){
for(var i=1;i<arguments.length;i++){
args.push(arguments[i]);
}
}
var _1bc=this;
dojo.lang.forEach(this._anims,function(anim){
anim[_1b9](args);
},_1bc);
return this;
}});
dojo.lfx.Chain=function(_1be){
dojo.lfx.IAnimation.call(this);
this._anims=[];
this._currAnim=-1;
var _1bf=arguments;
if(_1bf.length==1&&(dojo.lang.isArray(_1bf[0])||dojo.lang.isArrayLike(_1bf[0]))){
_1bf=_1bf[0];
}
var _1c0=this;
dojo.lang.forEach(_1bf,function(anim,i,_1c3){
this._anims.push(anim);
if(i<_1c3.length-1){
anim.connect("onEnd",dojo.lang.hitch(this,"_playNext"));
}else{
anim.connect("onEnd",dojo.lang.hitch(this,function(){
this.fire("onEnd");
}));
}
},this);
};
dojo.inherits(dojo.lfx.Chain,dojo.lfx.IAnimation);
dojo.lang.extend(dojo.lfx.Chain,{_currAnim:-1,play:function(_1c4,_1c5){
if(!this._anims.length){
return this;
}
if(_1c5||!this._anims[this._currAnim]){
this._currAnim=0;
}
var _1c6=this._anims[this._currAnim];
this.fire("beforeBegin");
if(_1c4>0){
setTimeout(dojo.lang.hitch(this,function(){
this.play(null,_1c5);
}),_1c4);
return this;
}
if(_1c6){
if(this._currAnim==0){
this.fire("handler",["begin",this._currAnim]);
this.fire("onBegin",[this._currAnim]);
}
this.fire("onPlay",[this._currAnim]);
_1c6.play(null,_1c5);
}
return this;
},pause:function(){
if(this._anims[this._currAnim]){
this._anims[this._currAnim].pause();
this.fire("onPause",[this._currAnim]);
}
return this;
},playPause:function(){
if(this._anims.length==0){
return this;
}
if(this._currAnim==-1){
this._currAnim=0;
}
var _1c7=this._anims[this._currAnim];
if(_1c7){
if(!_1c7._active||_1c7._paused){
this.play();
}else{
this.pause();
}
}
return this;
},stop:function(){
var _1c8=this._anims[this._currAnim];
if(_1c8){
_1c8.stop();
this.fire("onStop",[this._currAnim]);
}
return _1c8;
},_playNext:function(){
if(this._currAnim==-1||this._anims.length==0){
return this;
}
this._currAnim++;
if(this._anims[this._currAnim]){
this._anims[this._currAnim].play(null,true);
}
return this;
}});
dojo.lfx.combine=function(_1c9){
var _1ca=arguments;
if(dojo.lang.isArray(arguments[0])){
_1ca=arguments[0];
}
if(_1ca.length==1){
return _1ca[0];
}
return new dojo.lfx.Combine(_1ca);
};
dojo.lfx.chain=function(_1cb){
var _1cc=arguments;
if(dojo.lang.isArray(arguments[0])){
_1cc=arguments[0];
}
if(_1cc.length==1){
return _1cc[0];
}
return new dojo.lfx.Chain(_1cc);
};
dojo.provide("dojo.uri.Uri");
dojo.uri=new function(){
this.dojoUri=function(uri){
return new dojo.uri.Uri(dojo.hostenv.getBaseScriptUri(),uri);
};
this.moduleUri=function(_1ce,uri){
var loc=dojo.hostenv.getModulePrefix(_1ce);
if(!loc){
return null;
}
if(loc.lastIndexOf("/")!=loc.length-1){
loc+="/";
}
return new dojo.uri.Uri(dojo.hostenv.getBaseScriptUri()+loc,uri);
};
this.Uri=function(){
var uri=arguments[0];
for(var i=1;i<arguments.length;i++){
if(!arguments[i]){
continue;
}
var _1d3=new dojo.uri.Uri(arguments[i].toString());
var _1d4=new dojo.uri.Uri(uri.toString());
if((_1d3.path=="")&&(_1d3.scheme==null)&&(_1d3.authority==null)&&(_1d3.query==null)){
if(_1d3.fragment!=null){
_1d4.fragment=_1d3.fragment;
}
_1d3=_1d4;
}else{
if(_1d3.scheme==null){
_1d3.scheme=_1d4.scheme;
if(_1d3.authority==null){
_1d3.authority=_1d4.authority;
if(_1d3.path.charAt(0)!="/"){
var path=_1d4.path.substring(0,_1d4.path.lastIndexOf("/")+1)+_1d3.path;
var segs=path.split("/");
for(var j=0;j<segs.length;j++){
if(segs[j]=="."){
if(j==segs.length-1){
segs[j]="";
}else{
segs.splice(j,1);
j--;
}
}else{
if(j>0&&!(j==1&&segs[0]=="")&&segs[j]==".."&&segs[j-1]!=".."){
if(j==segs.length-1){
segs.splice(j,1);
segs[j-1]="";
}else{
segs.splice(j-1,2);
j-=2;
}
}
}
}
_1d3.path=segs.join("/");
}
}
}
}
uri="";
if(_1d3.scheme!=null){
uri+=_1d3.scheme+":";
}
if(_1d3.authority!=null){
uri+="//"+_1d3.authority;
}
uri+=_1d3.path;
if(_1d3.query!=null){
uri+="?"+_1d3.query;
}
if(_1d3.fragment!=null){
uri+="#"+_1d3.fragment;
}
}
this.uri=uri.toString();
var _1d8="^(([^:/?#]+):)?(//([^/?#]*))?([^?#]*)(\\?([^#]*))?(#(.*))?$";
var r=this.uri.match(new RegExp(_1d8));
this.scheme=r[2]||(r[1]?"":null);
this.authority=r[4]||(r[3]?"":null);
this.path=r[5];
this.query=r[7]||(r[6]?"":null);
this.fragment=r[9]||(r[8]?"":null);
if(this.authority!=null){
_1d8="^((([^:]+:)?([^@]+))@)?([^:]*)(:([0-9]+))?$";
r=this.authority.match(new RegExp(_1d8));
this.user=r[3]||null;
this.password=r[4]||null;
this.host=r[5];
this.port=r[7]||null;
}
this.toString=function(){
return this.uri;
};
};
};
dojo.provide("dojo.html.style");
dojo.html.getClass=function(node){
node=dojo.byId(node);
if(!node){
return "";
}
var cs="";
if(node.className){
cs=node.className;
}else{
if(dojo.html.hasAttribute(node,"class")){
cs=dojo.html.getAttribute(node,"class");
}
}
return cs.replace(/^\s+|\s+$/g,"");
};
dojo.html.getClasses=function(node){
var c=dojo.html.getClass(node);
return (c=="")?[]:c.split(/\s+/g);
};
dojo.html.hasClass=function(node,_1df){
return (new RegExp("(^|\\s+)"+_1df+"(\\s+|$)")).test(dojo.html.getClass(node));
};
dojo.html.prependClass=function(node,_1e1){
_1e1+=" "+dojo.html.getClass(node);
return dojo.html.setClass(node,_1e1);
};
dojo.html.addClass=function(node,_1e3){
if(dojo.html.hasClass(node,_1e3)){
return false;
}
_1e3=(dojo.html.getClass(node)+" "+_1e3).replace(/^\s+|\s+$/g,"");
return dojo.html.setClass(node,_1e3);
};
dojo.html.setClass=function(node,_1e5){
node=dojo.byId(node);
var cs=new String(_1e5);
try{
if(typeof node.className=="string"){
node.className=cs;
}else{
if(node.setAttribute){
node.setAttribute("class",_1e5);
node.className=cs;
}else{
return false;
}
}
}
catch(e){
dojo.debug("dojo.html.setClass() failed",e);
}
return true;
};
dojo.html.removeClass=function(node,_1e8,_1e9){
try{
if(!_1e9){
var _1ea=dojo.html.getClass(node).replace(new RegExp("(^|\\s+)"+_1e8+"(\\s+|$)"),"$1$2");
}else{
var _1ea=dojo.html.getClass(node).replace(_1e8,"");
}
dojo.html.setClass(node,_1ea);
}
catch(e){
dojo.debug("dojo.html.removeClass() failed",e);
}
return true;
};
dojo.html.replaceClass=function(node,_1ec,_1ed){
dojo.html.removeClass(node,_1ed);
dojo.html.addClass(node,_1ec);
};
dojo.html.classMatchType={ContainsAll:0,ContainsAny:1,IsOnly:2};
dojo.html.getElementsByClass=function(_1ee,_1ef,_1f0,_1f1,_1f2){
_1f2=false;
var _1f3=dojo.doc();
_1ef=dojo.byId(_1ef)||_1f3;
var _1f4=_1ee.split(/\s+/g);
var _1f5=[];
if(_1f1!=1&&_1f1!=2){
_1f1=0;
}
var _1f6=new RegExp("(\\s|^)(("+_1f4.join(")|(")+"))(\\s|$)");
var _1f7=_1f4.join(" ").length;
var _1f8=[];
if(!_1f2&&_1f3.evaluate){
var _1f9=".//"+(_1f0||"*")+"[contains(";
if(_1f1!=dojo.html.classMatchType.ContainsAny){
_1f9+="concat(' ',@class,' '), ' "+_1f4.join(" ') and contains(concat(' ',@class,' '), ' ")+" ')";
if(_1f1==2){
_1f9+=" and string-length(@class)="+_1f7+"]";
}else{
_1f9+="]";
}
}else{
_1f9+="concat(' ',@class,' '), ' "+_1f4.join(" ') or contains(concat(' ',@class,' '), ' ")+" ')]";
}
var _1fa=_1f3.evaluate(_1f9,_1ef,null,XPathResult.ANY_TYPE,null);
var _1fb=_1fa.iterateNext();
while(_1fb){
try{
_1f8.push(_1fb);
_1fb=_1fa.iterateNext();
}
catch(e){
break;
}
}
return _1f8;
}else{
if(!_1f0){
_1f0="*";
}
_1f8=_1ef.getElementsByTagName(_1f0);
var node,i=0;
outer:
while(node=_1f8[i++]){
var _1fe=dojo.html.getClasses(node);
if(_1fe.length==0){
continue outer;
}
var _1ff=0;
for(var j=0;j<_1fe.length;j++){
if(_1f6.test(_1fe[j])){
if(_1f1==dojo.html.classMatchType.ContainsAny){
_1f5.push(node);
continue outer;
}else{
_1ff++;
}
}else{
if(_1f1==dojo.html.classMatchType.IsOnly){
continue outer;
}
}
}
if(_1ff==_1f4.length){
if((_1f1==dojo.html.classMatchType.IsOnly)&&(_1ff==_1fe.length)){
_1f5.push(node);
}else{
if(_1f1==dojo.html.classMatchType.ContainsAll){
_1f5.push(node);
}
}
}
}
return _1f5;
}
};
dojo.html.getElementsByClassName=dojo.html.getElementsByClass;
dojo.html.toCamelCase=function(_201){
var arr=_201.split("-"),cc=arr[0];
for(var i=1;i<arr.length;i++){
cc+=arr[i].charAt(0).toUpperCase()+arr[i].substring(1);
}
return cc;
};
dojo.html.toSelectorCase=function(_205){
return _205.replace(/([A-Z])/g,"-$1").toLowerCase();
};
dojo.html.getComputedStyle=function(node,_207,_208){
node=dojo.byId(node);
var _207=dojo.html.toSelectorCase(_207);
var _209=dojo.html.toCamelCase(_207);
if(!node||!node.style){
return _208;
}else{
if(document.defaultView&&dojo.html.isDescendantOf(node,node.ownerDocument)){
try{
var cs=document.defaultView.getComputedStyle(node,"");
if(cs){
return cs.getPropertyValue(_207);
}
}
catch(e){
if(node.style.getPropertyValue){
return node.style.getPropertyValue(_207);
}else{
return _208;
}
}
}else{
if(node.currentStyle){
return node.currentStyle[_209];
}
}
}
if(node.style.getPropertyValue){
return node.style.getPropertyValue(_207);
}else{
return _208;
}
};
dojo.html.getStyleProperty=function(node,_20c){
node=dojo.byId(node);
return (node&&node.style?node.style[dojo.html.toCamelCase(_20c)]:undefined);
};
dojo.html.getStyle=function(node,_20e){
var _20f=dojo.html.getStyleProperty(node,_20e);
return (_20f?_20f:dojo.html.getComputedStyle(node,_20e));
};
dojo.html.setStyle=function(node,_211,_212){
node=dojo.byId(node);
if(node&&node.style){
var _213=dojo.html.toCamelCase(_211);
node.style[_213]=_212;
}
};
dojo.html.setStyleText=function(_214,text){
try{
_214.style.cssText=text;
}
catch(e){
_214.setAttribute("style",text);
}
};
dojo.html.copyStyle=function(_216,_217){
if(!_217.style.cssText){
_216.setAttribute("style",_217.getAttribute("style"));
}else{
_216.style.cssText=_217.style.cssText;
}
dojo.html.addClass(_216,dojo.html.getClass(_217));
};
dojo.html.getUnitValue=function(node,_219,_21a){
var s=dojo.html.getComputedStyle(node,_219);
if((!s)||((s=="auto")&&(_21a))){
return {value:0,units:"px"};
}
var _21c=s.match(/(\-?[\d.]+)([a-z%]*)/i);
if(!_21c){
return dojo.html.getUnitValue.bad;
}
return {value:Number(_21c[1]),units:_21c[2].toLowerCase()};
};
dojo.html.getUnitValue.bad={value:NaN,units:""};
dojo.html.getPixelValue=function(node,_21e,_21f){
var _220=dojo.html.getUnitValue(node,_21e,_21f);
if(isNaN(_220.value)){
return 0;
}
if((_220.value)&&(_220.units!="px")){
return NaN;
}
return _220.value;
};
dojo.html.setPositivePixelValue=function(node,_222,_223){
if(isNaN(_223)){
return false;
}
node.style[_222]=Math.max(0,_223)+"px";
return true;
};
dojo.html.styleSheet=null;
dojo.html.insertCssRule=function(_224,_225,_226){
if(!dojo.html.styleSheet){
if(document.createStyleSheet){
dojo.html.styleSheet=document.createStyleSheet();
}else{
if(document.styleSheets[0]){
dojo.html.styleSheet=document.styleSheets[0];
}else{
return null;
}
}
}
if(arguments.length<3){
if(dojo.html.styleSheet.cssRules){
_226=dojo.html.styleSheet.cssRules.length;
}else{
if(dojo.html.styleSheet.rules){
_226=dojo.html.styleSheet.rules.length;
}else{
return null;
}
}
}
if(dojo.html.styleSheet.insertRule){
var rule=_224+" { "+_225+" }";
return dojo.html.styleSheet.insertRule(rule,_226);
}else{
if(dojo.html.styleSheet.addRule){
return dojo.html.styleSheet.addRule(_224,_225,_226);
}else{
return null;
}
}
};
dojo.html.removeCssRule=function(_228){
if(!dojo.html.styleSheet){
dojo.debug("no stylesheet defined for removing rules");
return false;
}
if(dojo.render.html.ie){
if(!_228){
_228=dojo.html.styleSheet.rules.length;
dojo.html.styleSheet.removeRule(_228);
}
}else{
if(document.styleSheets[0]){
if(!_228){
_228=dojo.html.styleSheet.cssRules.length;
}
dojo.html.styleSheet.deleteRule(_228);
}
}
return true;
};
dojo.html._insertedCssFiles=[];
dojo.html.insertCssFile=function(URI,doc,_22b,_22c){
if(!URI){
return;
}
if(!doc){
doc=document;
}
var _22d=dojo.hostenv.getText(URI,false,_22c);
if(_22d===null){
return;
}
_22d=dojo.html.fixPathsInCssText(_22d,URI);
if(_22b){
var idx=-1,node,ent=dojo.html._insertedCssFiles;
for(var i=0;i<ent.length;i++){
if((ent[i].doc==doc)&&(ent[i].cssText==_22d)){
idx=i;
node=ent[i].nodeRef;
break;
}
}
if(node){
var _232=doc.getElementsByTagName("style");
for(var i=0;i<_232.length;i++){
if(_232[i]==node){
return;
}
}
dojo.html._insertedCssFiles.shift(idx,1);
}
}
var _233=dojo.html.insertCssText(_22d);
dojo.html._insertedCssFiles.push({"doc":doc,"cssText":_22d,"nodeRef":_233});
if(_233&&djConfig.isDebug){
_233.setAttribute("dbgHref",URI);
}
return _233;
};
dojo.html.insertCssText=function(_234,doc,URI){
if(!_234){
return;
}
if(!doc){
doc=document;
}
if(URI){
_234=dojo.html.fixPathsInCssText(_234,URI);
}
var _237=doc.createElement("style");
_237.setAttribute("type","text/css");
var head=doc.getElementsByTagName("head")[0];
if(!head){
dojo.debug("No head tag in document, aborting styles");
return;
}else{
head.appendChild(_237);
}
if(_237.styleSheet){
_237.styleSheet.cssText=_234;
}else{
var _239=doc.createTextNode(_234);
_237.appendChild(_239);
}
return _237;
};
dojo.html.fixPathsInCssText=function(_23a,URI){
function iefixPathsInCssText(){
var _23c=/AlphaImageLoader\(src\=['"]([\t\s\w()\/.\\'"-:#=&?~]*)['"]/;
while(_23d=_23c.exec(_23a)){
url=_23d[1].replace(_23f,"$2");
if(!_240.exec(url)){
url=(new dojo.uri.Uri(URI,url).toString());
}
str+=_23a.substring(0,_23d.index)+"AlphaImageLoader(src='"+url+"'";
_23a=_23a.substr(_23d.index+_23d[0].length);
}
return str+_23a;
}
if(!_23a||!URI){
return;
}
var _23d,str="",url="";
var _242=/url\(\s*([\t\s\w()\/.\\'"-:#=&?]+)\s*\)/;
var _240=/(file|https?|ftps?):\/\//;
var _23f=/^[\s]*(['"]?)([\w()\/.\\'"-:#=&?]*)\1[\s]*?$/;
if(dojo.render.html.ie55||dojo.render.html.ie60){
_23a=iefixPathsInCssText();
}
while(_23d=_242.exec(_23a)){
url=_23d[1].replace(_23f,"$2");
if(!_240.exec(url)){
url=(new dojo.uri.Uri(URI,url).toString());
}
str+=_23a.substring(0,_23d.index)+"url("+url+")";
_23a=_23a.substr(_23d.index+_23d[0].length);
}
return str+_23a;
};
dojo.html.setActiveStyleSheet=function(_243){
var i=0,a,els=dojo.doc().getElementsByTagName("link");
while(a=els[i++]){
if(a.getAttribute("rel").indexOf("style")!=-1&&a.getAttribute("title")){
a.disabled=true;
if(a.getAttribute("title")==_243){
a.disabled=false;
}
}
}
};
dojo.html.getActiveStyleSheet=function(){
var i=0,a,els=dojo.doc().getElementsByTagName("link");
while(a=els[i++]){
if(a.getAttribute("rel").indexOf("style")!=-1&&a.getAttribute("title")&&!a.disabled){
return a.getAttribute("title");
}
}
return null;
};
dojo.html.getPreferredStyleSheet=function(){
var i=0,a,els=dojo.doc().getElementsByTagName("link");
while(a=els[i++]){
if(a.getAttribute("rel").indexOf("style")!=-1&&a.getAttribute("rel").indexOf("alt")==-1&&a.getAttribute("title")){
return a.getAttribute("title");
}
}
return null;
};
dojo.html.applyBrowserClass=function(node){
var drh=dojo.render.html;
var _24f={dj_ie:drh.ie,dj_ie55:drh.ie55,dj_ie6:drh.ie60,dj_ie7:drh.ie70,dj_iequirks:drh.ie&&drh.quirks,dj_opera:drh.opera,dj_opera8:drh.opera&&(Math.floor(dojo.render.version)==8),dj_opera9:drh.opera&&(Math.floor(dojo.render.version)==9),dj_khtml:drh.khtml,dj_safari:drh.safari,dj_gecko:drh.mozilla};
for(var p in _24f){
if(_24f[p]){
dojo.html.addClass(node,p);
}
}
};
dojo.provide("dojo.html.display");
dojo.html._toggle=function(node,_252,_253){
node=dojo.byId(node);
_253(node,!_252(node));
return _252(node);
};
dojo.html.show=function(node){
node=dojo.byId(node);
if(dojo.html.getStyleProperty(node,"display")=="none"){
dojo.html.setStyle(node,"display",(node.dojoDisplayCache||""));
node.dojoDisplayCache=undefined;
}
};
dojo.html.hide=function(node){
node=dojo.byId(node);
if(typeof node["dojoDisplayCache"]=="undefined"){
var d=dojo.html.getStyleProperty(node,"display");
if(d!="none"){
node.dojoDisplayCache=d;
}
}
dojo.html.setStyle(node,"display","none");
};
dojo.html.setShowing=function(node,_258){
dojo.html[(_258?"show":"hide")](node);
};
dojo.html.isShowing=function(node){
return (dojo.html.getStyleProperty(node,"display")!="none");
};
dojo.html.toggleShowing=function(node){
return dojo.html._toggle(node,dojo.html.isShowing,dojo.html.setShowing);
};
dojo.html.displayMap={tr:"",td:"",th:"",img:"inline",span:"inline",input:"inline",button:"inline"};
dojo.html.suggestDisplayByTagName=function(node){
node=dojo.byId(node);
if(node&&node.tagName){
var tag=node.tagName.toLowerCase();
return (tag in dojo.html.displayMap?dojo.html.displayMap[tag]:"block");
}
};
dojo.html.setDisplay=function(node,_25e){
dojo.html.setStyle(node,"display",((_25e instanceof String||typeof _25e=="string")?_25e:(_25e?dojo.html.suggestDisplayByTagName(node):"none")));
};
dojo.html.isDisplayed=function(node){
return (dojo.html.getComputedStyle(node,"display")!="none");
};
dojo.html.toggleDisplay=function(node){
return dojo.html._toggle(node,dojo.html.isDisplayed,dojo.html.setDisplay);
};
dojo.html.setVisibility=function(node,_262){
dojo.html.setStyle(node,"visibility",((_262 instanceof String||typeof _262=="string")?_262:(_262?"visible":"hidden")));
};
dojo.html.isVisible=function(node){
return (dojo.html.getComputedStyle(node,"visibility")!="hidden");
};
dojo.html.toggleVisibility=function(node){
return dojo.html._toggle(node,dojo.html.isVisible,dojo.html.setVisibility);
};
dojo.html.setOpacity=function(node,_266,_267){
node=dojo.byId(node);
var h=dojo.render.html;
if(!_267){
if(_266>=1){
if(h.ie){
dojo.html.clearOpacity(node);
return;
}else{
_266=0.999999;
}
}else{
if(_266<0){
_266=0;
}
}
}
if(h.ie){
if(node.nodeName.toLowerCase()=="tr"){
var tds=node.getElementsByTagName("td");
for(var x=0;x<tds.length;x++){
tds[x].style.filter="Alpha(Opacity="+_266*100+")";
}
}
node.style.filter="Alpha(Opacity="+_266*100+")";
}else{
if(h.moz){
node.style.opacity=_266;
node.style.MozOpacity=_266;
}else{
if(h.safari){
node.style.opacity=_266;
node.style.KhtmlOpacity=_266;
}else{
node.style.opacity=_266;
}
}
}
};
dojo.html.clearOpacity=function(node){
node=dojo.byId(node);
var ns=node.style;
var h=dojo.render.html;
if(h.ie){
try{
if(node.filters&&node.filters.alpha){
ns.filter="";
}
}
catch(e){
}
}else{
if(h.moz){
ns.opacity=1;
ns.MozOpacity=1;
}else{
if(h.safari){
ns.opacity=1;
ns.KhtmlOpacity=1;
}else{
ns.opacity=1;
}
}
}
};
dojo.html.getOpacity=function(node){
node=dojo.byId(node);
var h=dojo.render.html;
if(h.ie){
var opac=(node.filters&&node.filters.alpha&&typeof node.filters.alpha.opacity=="number"?node.filters.alpha.opacity:100)/100;
}else{
var opac=node.style.opacity||node.style.MozOpacity||node.style.KhtmlOpacity||1;
}
return opac>=0.999999?1:Number(opac);
};
dojo.provide("dojo.html.color");
dojo.html.getBackgroundColor=function(node){
node=dojo.byId(node);
var _272;
do{
_272=dojo.html.getStyle(node,"background-color");
if(_272.toLowerCase()=="rgba(0, 0, 0, 0)"){
_272="transparent";
}
if(node==document.getElementsByTagName("body")[0]){
node=null;
break;
}
node=node.parentNode;
}while(node&&dojo.lang.inArray(["transparent",""],_272));
if(_272=="transparent"){
_272=[255,255,255,0];
}else{
_272=dojo.gfx.color.extractRGB(_272);
}
return _272;
};
dojo.provide("dojo.dom");
dojo.dom.ELEMENT_NODE=1;
dojo.dom.ATTRIBUTE_NODE=2;
dojo.dom.TEXT_NODE=3;
dojo.dom.CDATA_SECTION_NODE=4;
dojo.dom.ENTITY_REFERENCE_NODE=5;
dojo.dom.ENTITY_NODE=6;
dojo.dom.PROCESSING_INSTRUCTION_NODE=7;
dojo.dom.COMMENT_NODE=8;
dojo.dom.DOCUMENT_NODE=9;
dojo.dom.DOCUMENT_TYPE_NODE=10;
dojo.dom.DOCUMENT_FRAGMENT_NODE=11;
dojo.dom.NOTATION_NODE=12;
dojo.dom.dojoml="http://www.dojotoolkit.org/2004/dojoml";
dojo.dom.xmlns={svg:"http://www.w3.org/2000/svg",smil:"http://www.w3.org/2001/SMIL20/",mml:"http://www.w3.org/1998/Math/MathML",cml:"http://www.xml-cml.org",xlink:"http://www.w3.org/1999/xlink",xhtml:"http://www.w3.org/1999/xhtml",xul:"http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul",xbl:"http://www.mozilla.org/xbl",fo:"http://www.w3.org/1999/XSL/Format",xsl:"http://www.w3.org/1999/XSL/Transform",xslt:"http://www.w3.org/1999/XSL/Transform",xi:"http://www.w3.org/2001/XInclude",xforms:"http://www.w3.org/2002/01/xforms",saxon:"http://icl.com/saxon",xalan:"http://xml.apache.org/xslt",xsd:"http://www.w3.org/2001/XMLSchema",dt:"http://www.w3.org/2001/XMLSchema-datatypes",xsi:"http://www.w3.org/2001/XMLSchema-instance",rdf:"http://www.w3.org/1999/02/22-rdf-syntax-ns#",rdfs:"http://www.w3.org/2000/01/rdf-schema#",dc:"http://purl.org/dc/elements/1.1/",dcq:"http://purl.org/dc/qualifiers/1.0","soap-env":"http://schemas.xmlsoap.org/soap/envelope/",wsdl:"http://schemas.xmlsoap.org/wsdl/",AdobeExtensions:"http://ns.adobe.com/AdobeSVGViewerExtensions/3.0/"};
dojo.dom.isNode=function(wh){
if(typeof Element=="function"){
try{
return wh instanceof Element;
}
catch(E){
}
}else{
return wh&&!isNaN(wh.nodeType);
}
};
dojo.dom.getUniqueId=function(){
var _274=dojo.doc();
do{
var id="dj_unique_"+(++arguments.callee._idIncrement);
}while(_274.getElementById(id));
return id;
};
dojo.dom.getUniqueId._idIncrement=0;
dojo.dom.firstElement=dojo.dom.getFirstChildElement=function(_276,_277){
var node=_276.firstChild;
while(node&&node.nodeType!=dojo.dom.ELEMENT_NODE){
node=node.nextSibling;
}
if(_277&&node&&node.tagName&&node.tagName.toLowerCase()!=_277.toLowerCase()){
node=dojo.dom.nextElement(node,_277);
}
return node;
};
dojo.dom.lastElement=dojo.dom.getLastChildElement=function(_279,_27a){
var node=_279.lastChild;
while(node&&node.nodeType!=dojo.dom.ELEMENT_NODE){
node=node.previousSibling;
}
if(_27a&&node&&node.tagName&&node.tagName.toLowerCase()!=_27a.toLowerCase()){
node=dojo.dom.prevElement(node,_27a);
}
return node;
};
dojo.dom.nextElement=dojo.dom.getNextSiblingElement=function(node,_27d){
if(!node){
return null;
}
do{
node=node.nextSibling;
}while(node&&node.nodeType!=dojo.dom.ELEMENT_NODE);
if(node&&_27d&&_27d.toLowerCase()!=node.tagName.toLowerCase()){
return dojo.dom.nextElement(node,_27d);
}
return node;
};
dojo.dom.prevElement=dojo.dom.getPreviousSiblingElement=function(node,_27f){
if(!node){
return null;
}
if(_27f){
_27f=_27f.toLowerCase();
}
do{
node=node.previousSibling;
}while(node&&node.nodeType!=dojo.dom.ELEMENT_NODE);
if(node&&_27f&&_27f.toLowerCase()!=node.tagName.toLowerCase()){
return dojo.dom.prevElement(node,_27f);
}
return node;
};
dojo.dom.moveChildren=function(_280,_281,trim){
var _283=0;
if(trim){
while(_280.hasChildNodes()&&_280.firstChild.nodeType==dojo.dom.TEXT_NODE){
_280.removeChild(_280.firstChild);
}
while(_280.hasChildNodes()&&_280.lastChild.nodeType==dojo.dom.TEXT_NODE){
_280.removeChild(_280.lastChild);
}
}
while(_280.hasChildNodes()){
_281.appendChild(_280.firstChild);
_283++;
}
return _283;
};
dojo.dom.copyChildren=function(_284,_285,trim){
var _287=_284.cloneNode(true);
return this.moveChildren(_287,_285,trim);
};
dojo.dom.removeChildren=function(node){
var _289=node.childNodes.length;
while(node.hasChildNodes()){
node.removeChild(node.firstChild);
}
return _289;
};
dojo.dom.replaceChildren=function(node,_28b){
dojo.dom.removeChildren(node);
node.appendChild(_28b);
};
dojo.dom.removeNode=function(node){
if(node&&node.parentNode){
return node.parentNode.removeChild(node);
}
};
dojo.dom.getAncestors=function(node,_28e,_28f){
var _290=[];
var _291=(_28e&&(_28e instanceof Function||typeof _28e=="function"));
while(node){
if(!_291||_28e(node)){
_290.push(node);
}
if(_28f&&_290.length>0){
return _290[0];
}
node=node.parentNode;
}
if(_28f){
return null;
}
return _290;
};
dojo.dom.getAncestorsByTag=function(node,tag,_294){
tag=tag.toLowerCase();
return dojo.dom.getAncestors(node,function(el){
return ((el.tagName)&&(el.tagName.toLowerCase()==tag));
},_294);
};
dojo.dom.getFirstAncestorByTag=function(node,tag){
return dojo.dom.getAncestorsByTag(node,tag,true);
};
dojo.dom.isDescendantOf=function(node,_299,_29a){
if(_29a&&node){
node=node.parentNode;
}
while(node){
if(node==_299){
return true;
}
node=node.parentNode;
}
return false;
};
dojo.dom.innerXML=function(node){
if(node.innerXML){
return node.innerXML;
}else{
if(node.xml){
return node.xml;
}else{
if(typeof XMLSerializer!="undefined"){
return (new XMLSerializer()).serializeToString(node);
}
}
}
};
dojo.dom.createDocument=function(){
var doc=null;
var _29d=dojo.doc();
if(!dj_undef("ActiveXObject")){
var _29e=["MSXML2","Microsoft","MSXML","MSXML3"];
for(var i=0;i<_29e.length;i++){
try{
doc=new ActiveXObject(_29e[i]+".XMLDOM");
}
catch(e){
}
if(doc){
break;
}
}
}else{
if((_29d.implementation)&&(_29d.implementation.createDocument)){
doc=_29d.implementation.createDocument("","",null);
}
}
return doc;
};
dojo.dom.createDocumentFromText=function(str,_2a1){
if(!_2a1){
_2a1="text/xml";
}
if(!dj_undef("DOMParser")){
var _2a2=new DOMParser();
return _2a2.parseFromString(str,_2a1);
}else{
if(!dj_undef("ActiveXObject")){
var _2a3=dojo.dom.createDocument();
if(_2a3){
_2a3.async=false;
_2a3.loadXML(str);
return _2a3;
}else{
dojo.debug("toXml didn't work?");
}
}else{
var _2a4=dojo.doc();
if(_2a4.createElement){
var tmp=_2a4.createElement("xml");
tmp.innerHTML=str;
if(_2a4.implementation&&_2a4.implementation.createDocument){
var _2a6=_2a4.implementation.createDocument("foo","",null);
for(var i=0;i<tmp.childNodes.length;i++){
_2a6.importNode(tmp.childNodes.item(i),true);
}
return _2a6;
}
return ((tmp.document)&&(tmp.document.firstChild?tmp.document.firstChild:tmp));
}
}
}
return null;
};
dojo.dom.prependChild=function(node,_2a9){
if(_2a9.firstChild){
_2a9.insertBefore(node,_2a9.firstChild);
}else{
_2a9.appendChild(node);
}
return true;
};
dojo.dom.insertBefore=function(node,ref,_2ac){
if(_2ac!=true&&(node===ref||node.nextSibling===ref)){
return false;
}
var _2ad=ref.parentNode;
_2ad.insertBefore(node,ref);
return true;
};
dojo.dom.insertAfter=function(node,ref,_2b0){
var pn=ref.parentNode;
if(ref==pn.lastChild){
if((_2b0!=true)&&(node===ref)){
return false;
}
pn.appendChild(node);
}else{
return this.insertBefore(node,ref.nextSibling,_2b0);
}
return true;
};
dojo.dom.insertAtPosition=function(node,ref,_2b4){
if((!node)||(!ref)||(!_2b4)){
return false;
}
switch(_2b4.toLowerCase()){
case "before":
return dojo.dom.insertBefore(node,ref);
case "after":
return dojo.dom.insertAfter(node,ref);
case "first":
if(ref.firstChild){
return dojo.dom.insertBefore(node,ref.firstChild);
}else{
ref.appendChild(node);
return true;
}
break;
default:
ref.appendChild(node);
return true;
}
};
dojo.dom.insertAtIndex=function(node,_2b6,_2b7){
var _2b8=_2b6.childNodes;
if(!_2b8.length){
_2b6.appendChild(node);
return true;
}
var _2b9=null;
for(var i=0;i<_2b8.length;i++){
var _2bb=_2b8.item(i)["getAttribute"]?parseInt(_2b8.item(i).getAttribute("dojoinsertionindex")):-1;
if(_2bb<_2b7){
_2b9=_2b8.item(i);
}
}
if(_2b9){
return dojo.dom.insertAfter(node,_2b9);
}else{
return dojo.dom.insertBefore(node,_2b8.item(0));
}
};
dojo.dom.textContent=function(node,text){
if(arguments.length>1){
var _2be=dojo.doc();
dojo.dom.replaceChildren(node,_2be.createTextNode(text));
return text;
}else{
if(node.textContent!=undefined){
return node.textContent;
}
var _2bf="";
if(node==null){
return _2bf;
}
for(var i=0;i<node.childNodes.length;i++){
switch(node.childNodes[i].nodeType){
case 1:
case 5:
_2bf+=dojo.dom.textContent(node.childNodes[i]);
break;
case 3:
case 2:
case 4:
_2bf+=node.childNodes[i].nodeValue;
break;
default:
break;
}
}
return _2bf;
}
};
dojo.dom.hasParent=function(node){
return node&&node.parentNode&&dojo.dom.isNode(node.parentNode);
};
dojo.dom.isTag=function(node){
if(node&&node.tagName){
for(var i=1;i<arguments.length;i++){
if(node.tagName==String(arguments[i])){
return String(arguments[i]);
}
}
}
return "";
};
dojo.dom.setAttributeNS=function(elem,_2c5,_2c6,_2c7){
if(elem==null||((elem==undefined)&&(typeof elem=="undefined"))){
dojo.raise("No element given to dojo.dom.setAttributeNS");
}
if(!((elem.setAttributeNS==undefined)&&(typeof elem.setAttributeNS=="undefined"))){
elem.setAttributeNS(_2c5,_2c6,_2c7);
}else{
var _2c8=elem.ownerDocument;
var _2c9=_2c8.createNode(2,_2c6,_2c5);
_2c9.nodeValue=_2c7;
elem.setAttributeNode(_2c9);
}
};
dojo.provide("dojo.html.common");
dojo.lang.mixin(dojo.html,dojo.dom);
dojo.html.body=function(){
dojo.deprecated("dojo.html.body() moved to dojo.body()","0.5");
return dojo.body();
};
dojo.html.getEventTarget=function(evt){
if(!evt){
evt=dojo.global().event||{};
}
var t=(evt.srcElement?evt.srcElement:(evt.target?evt.target:null));
while((t)&&(t.nodeType!=1)){
t=t.parentNode;
}
return t;
};
dojo.html.getViewport=function(){
var _2cc=dojo.global();
var _2cd=dojo.doc();
var w=0;
var h=0;
if(dojo.render.html.mozilla){
w=_2cd.documentElement.clientWidth;
h=_2cc.innerHeight;
}else{
if(!dojo.render.html.opera&&_2cc.innerWidth){
w=_2cc.innerWidth;
h=_2cc.innerHeight;
}else{
if(!dojo.render.html.opera&&dojo.exists(_2cd,"documentElement.clientWidth")){
var w2=_2cd.documentElement.clientWidth;
if(!w||w2&&w2<w){
w=w2;
}
h=_2cd.documentElement.clientHeight;
}else{
if(dojo.body().clientWidth){
w=dojo.body().clientWidth;
h=dojo.body().clientHeight;
}
}
}
}
return {width:w,height:h};
};
dojo.html.getScroll=function(){
var _2d1=dojo.global();
var _2d2=dojo.doc();
var top=_2d1.pageYOffset||_2d2.documentElement.scrollTop||dojo.body().scrollTop||0;
var left=_2d1.pageXOffset||_2d2.documentElement.scrollLeft||dojo.body().scrollLeft||0;
return {top:top,left:left,offset:{x:left,y:top}};
};
dojo.html.getParentByType=function(node,type){
var _2d7=dojo.doc();
var _2d8=dojo.byId(node);
type=type.toLowerCase();
while((_2d8)&&(_2d8.nodeName.toLowerCase()!=type)){
if(_2d8==(_2d7["body"]||_2d7["documentElement"])){
return null;
}
_2d8=_2d8.parentNode;
}
return _2d8;
};
dojo.html.getAttribute=function(node,attr){
node=dojo.byId(node);
if((!node)||(!node.getAttribute)){
return null;
}
var ta=typeof attr=="string"?attr:new String(attr);
var v=node.getAttribute(ta.toUpperCase());
if((v)&&(typeof v=="string")&&(v!="")){
return v;
}
if(v&&v.value){
return v.value;
}
if((node.getAttributeNode)&&(node.getAttributeNode(ta))){
return (node.getAttributeNode(ta)).value;
}else{
if(node.getAttribute(ta)){
return node.getAttribute(ta);
}else{
if(node.getAttribute(ta.toLowerCase())){
return node.getAttribute(ta.toLowerCase());
}
}
}
return null;
};
dojo.html.hasAttribute=function(node,attr){
return dojo.html.getAttribute(dojo.byId(node),attr)?true:false;
};
dojo.html.getCursorPosition=function(e){
e=e||dojo.global().event;
var _2e0={x:0,y:0};
if(e.pageX||e.pageY){
_2e0.x=e.pageX;
_2e0.y=e.pageY;
}else{
var de=dojo.doc().documentElement;
var db=dojo.body();
_2e0.x=e.clientX+((de||db)["scrollLeft"])-((de||db)["clientLeft"]);
_2e0.y=e.clientY+((de||db)["scrollTop"])-((de||db)["clientTop"]);
}
return _2e0;
};
dojo.html.isTag=function(node){
node=dojo.byId(node);
if(node&&node.tagName){
for(var i=1;i<arguments.length;i++){
if(node.tagName.toLowerCase()==String(arguments[i]).toLowerCase()){
return String(arguments[i]).toLowerCase();
}
}
}
return "";
};
if(dojo.render.html.ie&&!dojo.render.html.ie70){
if(window.location.href.substr(0,6).toLowerCase()!="https:"){
(function(){
var _2e5=dojo.doc().createElement("script");
_2e5.src="javascript:'dojo.html.createExternalElement=function(doc, tag){ return doc.createElement(tag); }'";
dojo.doc().getElementsByTagName("head")[0].appendChild(_2e5);
})();
}
}else{
dojo.html.createExternalElement=function(doc,tag){
return doc.createElement(tag);
};
}
dojo.html._callDeprecated=function(_2e8,_2e9,args,_2eb,_2ec){
dojo.deprecated("dojo.html."+_2e8,"replaced by dojo.html."+_2e9+"("+(_2eb?"node, {"+_2eb+": "+_2eb+"}":"")+")"+(_2ec?"."+_2ec:""),"0.5");
var _2ed=[];
if(_2eb){
var _2ee={};
_2ee[_2eb]=args[1];
_2ed.push(args[0]);
_2ed.push(_2ee);
}else{
_2ed=args;
}
var ret=dojo.html[_2e9].apply(dojo.html,args);
if(_2ec){
return ret[_2ec];
}else{
return ret;
}
};
dojo.html.getViewportWidth=function(){
return dojo.html._callDeprecated("getViewportWidth","getViewport",arguments,null,"width");
};
dojo.html.getViewportHeight=function(){
return dojo.html._callDeprecated("getViewportHeight","getViewport",arguments,null,"height");
};
dojo.html.getViewportSize=function(){
return dojo.html._callDeprecated("getViewportSize","getViewport",arguments);
};
dojo.html.getScrollTop=function(){
return dojo.html._callDeprecated("getScrollTop","getScroll",arguments,null,"top");
};
dojo.html.getScrollLeft=function(){
return dojo.html._callDeprecated("getScrollLeft","getScroll",arguments,null,"left");
};
dojo.html.getScrollOffset=function(){
return dojo.html._callDeprecated("getScrollOffset","getScroll",arguments,null,"offset");
};
dojo.provide("dojo.html.layout");
dojo.html.sumAncestorProperties=function(node,prop){
node=dojo.byId(node);
if(!node){
return 0;
}
var _2f2=0;
while(node){
if(dojo.html.getComputedStyle(node,"position")=="fixed"){
return 0;
}
var val=node[prop];
if(val){
_2f2+=val-0;
if(node==dojo.body()){
break;
}
}
node=node.parentNode;
}
return _2f2;
};
dojo.html.setStyleAttributes=function(node,_2f5){
node=dojo.byId(node);
var _2f6=_2f5.replace(/(;)?\s*$/,"").split(";");
for(var i=0;i<_2f6.length;i++){
var _2f8=_2f6[i].split(":");
var name=_2f8[0].replace(/\s*$/,"").replace(/^\s*/,"").toLowerCase();
var _2fa=_2f8[1].replace(/\s*$/,"").replace(/^\s*/,"");
switch(name){
case "opacity":
dojo.html.setOpacity(node,_2fa);
break;
case "content-height":
dojo.html.setContentBox(node,{height:_2fa});
break;
case "content-width":
dojo.html.setContentBox(node,{width:_2fa});
break;
case "outer-height":
dojo.html.setMarginBox(node,{height:_2fa});
break;
case "outer-width":
dojo.html.setMarginBox(node,{width:_2fa});
break;
default:
node.style[dojo.html.toCamelCase(name)]=_2fa;
}
}
};
dojo.html.boxSizing={MARGIN_BOX:"margin-box",BORDER_BOX:"border-box",PADDING_BOX:"padding-box",CONTENT_BOX:"content-box"};
dojo.html.getAbsolutePosition=dojo.html.abs=function(node,_2fc,_2fd){
node=dojo.byId(node,node.ownerDocument);
var ret={x:0,y:0};
var bs=dojo.html.boxSizing;
if(!_2fd){
_2fd=bs.CONTENT_BOX;
}
var _300=2;
var _301;
switch(_2fd){
case bs.MARGIN_BOX:
_301=3;
break;
case bs.BORDER_BOX:
_301=2;
break;
case bs.PADDING_BOX:
default:
_301=1;
break;
case bs.CONTENT_BOX:
_301=0;
break;
}
var h=dojo.render.html;
var db=document["body"]||document["documentElement"];
if(h.ie){
with(node.getBoundingClientRect()){
ret.x=left-2;
ret.y=top-2;
}
}else{
if(document.getBoxObjectFor){
_300=1;
try{
var bo=document.getBoxObjectFor(node);
ret.x=bo.x-dojo.html.sumAncestorProperties(node,"scrollLeft");
ret.y=bo.y-dojo.html.sumAncestorProperties(node,"scrollTop");
}
catch(e){
}
}else{
if(node["offsetParent"]){
var _305;
if((h.safari)&&(node.style.getPropertyValue("position")=="absolute")&&(node.parentNode==db)){
_305=db;
}else{
_305=db.parentNode;
}
if(node.parentNode!=db){
var nd=node;
if(dojo.render.html.opera){
nd=db;
}
ret.x-=dojo.html.sumAncestorProperties(nd,"scrollLeft");
ret.y-=dojo.html.sumAncestorProperties(nd,"scrollTop");
}
var _307=node;
do{
var n=_307["offsetLeft"];
if(!h.opera||n>0){
ret.x+=isNaN(n)?0:n;
}
var m=_307["offsetTop"];
ret.y+=isNaN(m)?0:m;
_307=_307.offsetParent;
}while((_307!=_305)&&(_307!=null));
}else{
if(node["x"]&&node["y"]){
ret.x+=isNaN(node.x)?0:node.x;
ret.y+=isNaN(node.y)?0:node.y;
}
}
}
}
if(_2fc){
var _30a=dojo.html.getScroll();
ret.y+=_30a.top;
ret.x+=_30a.left;
}
var _30b=[dojo.html.getPaddingExtent,dojo.html.getBorderExtent,dojo.html.getMarginExtent];
if(_300>_301){
for(var i=_301;i<_300;++i){
ret.y+=_30b[i](node,"top");
ret.x+=_30b[i](node,"left");
}
}else{
if(_300<_301){
for(var i=_301;i>_300;--i){
ret.y-=_30b[i-1](node,"top");
ret.x-=_30b[i-1](node,"left");
}
}
}
ret.top=ret.y;
ret.left=ret.x;
return ret;
};
dojo.html.isPositionAbsolute=function(node){
return (dojo.html.getComputedStyle(node,"position")=="absolute");
};
dojo.html._sumPixelValues=function(node,_30f,_310){
var _311=0;
for(var x=0;x<_30f.length;x++){
_311+=dojo.html.getPixelValue(node,_30f[x],_310);
}
return _311;
};
dojo.html.getMargin=function(node){
return {width:dojo.html._sumPixelValues(node,["margin-left","margin-right"],(dojo.html.getComputedStyle(node,"position")=="absolute")),height:dojo.html._sumPixelValues(node,["margin-top","margin-bottom"],(dojo.html.getComputedStyle(node,"position")=="absolute"))};
};
dojo.html.getBorder=function(node){
return {width:dojo.html.getBorderExtent(node,"left")+dojo.html.getBorderExtent(node,"right"),height:dojo.html.getBorderExtent(node,"top")+dojo.html.getBorderExtent(node,"bottom")};
};
dojo.html.getBorderExtent=function(node,side){
return (dojo.html.getStyle(node,"border-"+side+"-style")=="none"?0:dojo.html.getPixelValue(node,"border-"+side+"-width"));
};
dojo.html.getMarginExtent=function(node,side){
return dojo.html._sumPixelValues(node,["margin-"+side],dojo.html.isPositionAbsolute(node));
};
dojo.html.getPaddingExtent=function(node,side){
return dojo.html._sumPixelValues(node,["padding-"+side],true);
};
dojo.html.getPadding=function(node){
return {width:dojo.html._sumPixelValues(node,["padding-left","padding-right"],true),height:dojo.html._sumPixelValues(node,["padding-top","padding-bottom"],true)};
};
dojo.html.getPadBorder=function(node){
var pad=dojo.html.getPadding(node);
var _31e=dojo.html.getBorder(node);
return {width:pad.width+_31e.width,height:pad.height+_31e.height};
};
dojo.html.getBoxSizing=function(node){
var h=dojo.render.html;
var bs=dojo.html.boxSizing;
if((h.ie)||(h.opera)){
var cm=document["compatMode"];
if((cm=="BackCompat")||(cm=="QuirksMode")){
return bs.BORDER_BOX;
}else{
return bs.CONTENT_BOX;
}
}else{
if(arguments.length==0){
node=document.documentElement;
}
var _323=dojo.html.getStyle(node,"-moz-box-sizing");
if(!_323){
_323=dojo.html.getStyle(node,"box-sizing");
}
return (_323?_323:bs.CONTENT_BOX);
}
};
dojo.html.isBorderBox=function(node){
return (dojo.html.getBoxSizing(node)==dojo.html.boxSizing.BORDER_BOX);
};
dojo.html.getBorderBox=function(node){
node=dojo.byId(node);
return {width:node.offsetWidth,height:node.offsetHeight};
};
dojo.html.getPaddingBox=function(node){
var box=dojo.html.getBorderBox(node);
var _328=dojo.html.getBorder(node);
return {width:box.width-_328.width,height:box.height-_328.height};
};
dojo.html.getContentBox=function(node){
node=dojo.byId(node);
var _32a=dojo.html.getPadBorder(node);
return {width:node.offsetWidth-_32a.width,height:node.offsetHeight-_32a.height};
};
dojo.html.setContentBox=function(node,args){
node=dojo.byId(node);
var _32d=0;
var _32e=0;
var isbb=dojo.html.isBorderBox(node);
var _330=(isbb?dojo.html.getPadBorder(node):{width:0,height:0});
var ret={};
if(typeof args.width!="undefined"){
_32d=args.width+_330.width;
ret.width=dojo.html.setPositivePixelValue(node,"width",_32d);
}
if(typeof args.height!="undefined"){
_32e=args.height+_330.height;
ret.height=dojo.html.setPositivePixelValue(node,"height",_32e);
}
return ret;
};
dojo.html.getMarginBox=function(node){
var _333=dojo.html.getBorderBox(node);
var _334=dojo.html.getMargin(node);
return {width:_333.width+_334.width,height:_333.height+_334.height};
};
dojo.html.setMarginBox=function(node,args){
node=dojo.byId(node);
var _337=0;
var _338=0;
var isbb=dojo.html.isBorderBox(node);
var _33a=(!isbb?dojo.html.getPadBorder(node):{width:0,height:0});
var _33b=dojo.html.getMargin(node);
var ret={};
if(typeof args.width!="undefined"){
_337=args.width-_33a.width;
_337-=_33b.width;
ret.width=dojo.html.setPositivePixelValue(node,"width",_337);
}
if(typeof args.height!="undefined"){
_338=args.height-_33a.height;
_338-=_33b.height;
ret.height=dojo.html.setPositivePixelValue(node,"height",_338);
}
return ret;
};
dojo.html.getElementBox=function(node,type){
var bs=dojo.html.boxSizing;
switch(type){
case bs.MARGIN_BOX:
return dojo.html.getMarginBox(node);
case bs.BORDER_BOX:
return dojo.html.getBorderBox(node);
case bs.PADDING_BOX:
return dojo.html.getPaddingBox(node);
case bs.CONTENT_BOX:
default:
return dojo.html.getContentBox(node);
}
};
dojo.html.toCoordinateObject=dojo.html.toCoordinateArray=function(_340,_341,_342){
if(_340 instanceof Array||typeof _340=="array"){
dojo.deprecated("dojo.html.toCoordinateArray","use dojo.html.toCoordinateObject({left: , top: , width: , height: }) instead","0.5");
while(_340.length<4){
_340.push(0);
}
while(_340.length>4){
_340.pop();
}
var ret={left:_340[0],top:_340[1],width:_340[2],height:_340[3]};
}else{
if(!_340.nodeType&&!(_340 instanceof String||typeof _340=="string")&&("width" in _340||"height" in _340||"left" in _340||"x" in _340||"top" in _340||"y" in _340)){
var ret={left:_340.left||_340.x||0,top:_340.top||_340.y||0,width:_340.width||0,height:_340.height||0};
}else{
var node=dojo.byId(_340);
var pos=dojo.html.abs(node,_341,_342);
var _346=dojo.html.getMarginBox(node);
var ret={left:pos.left,top:pos.top,width:_346.width,height:_346.height};
}
}
ret.x=ret.left;
ret.y=ret.top;
return ret;
};
dojo.html.setMarginBoxWidth=dojo.html.setOuterWidth=function(node,_348){
return dojo.html._callDeprecated("setMarginBoxWidth","setMarginBox",arguments,"width");
};
dojo.html.setMarginBoxHeight=dojo.html.setOuterHeight=function(){
return dojo.html._callDeprecated("setMarginBoxHeight","setMarginBox",arguments,"height");
};
dojo.html.getMarginBoxWidth=dojo.html.getOuterWidth=function(){
return dojo.html._callDeprecated("getMarginBoxWidth","getMarginBox",arguments,null,"width");
};
dojo.html.getMarginBoxHeight=dojo.html.getOuterHeight=function(){
return dojo.html._callDeprecated("getMarginBoxHeight","getMarginBox",arguments,null,"height");
};
dojo.html.getTotalOffset=function(node,type,_34b){
return dojo.html._callDeprecated("getTotalOffset","getAbsolutePosition",arguments,null,type);
};
dojo.html.getAbsoluteX=function(node,_34d){
return dojo.html._callDeprecated("getAbsoluteX","getAbsolutePosition",arguments,null,"x");
};
dojo.html.getAbsoluteY=function(node,_34f){
return dojo.html._callDeprecated("getAbsoluteY","getAbsolutePosition",arguments,null,"y");
};
dojo.html.totalOffsetLeft=function(node,_351){
return dojo.html._callDeprecated("totalOffsetLeft","getAbsolutePosition",arguments,null,"left");
};
dojo.html.totalOffsetTop=function(node,_353){
return dojo.html._callDeprecated("totalOffsetTop","getAbsolutePosition",arguments,null,"top");
};
dojo.html.getMarginWidth=function(node){
return dojo.html._callDeprecated("getMarginWidth","getMargin",arguments,null,"width");
};
dojo.html.getMarginHeight=function(node){
return dojo.html._callDeprecated("getMarginHeight","getMargin",arguments,null,"height");
};
dojo.html.getBorderWidth=function(node){
return dojo.html._callDeprecated("getBorderWidth","getBorder",arguments,null,"width");
};
dojo.html.getBorderHeight=function(node){
return dojo.html._callDeprecated("getBorderHeight","getBorder",arguments,null,"height");
};
dojo.html.getPaddingWidth=function(node){
return dojo.html._callDeprecated("getPaddingWidth","getPadding",arguments,null,"width");
};
dojo.html.getPaddingHeight=function(node){
return dojo.html._callDeprecated("getPaddingHeight","getPadding",arguments,null,"height");
};
dojo.html.getPadBorderWidth=function(node){
return dojo.html._callDeprecated("getPadBorderWidth","getPadBorder",arguments,null,"width");
};
dojo.html.getPadBorderHeight=function(node){
return dojo.html._callDeprecated("getPadBorderHeight","getPadBorder",arguments,null,"height");
};
dojo.html.getBorderBoxWidth=dojo.html.getInnerWidth=function(){
return dojo.html._callDeprecated("getBorderBoxWidth","getBorderBox",arguments,null,"width");
};
dojo.html.getBorderBoxHeight=dojo.html.getInnerHeight=function(){
return dojo.html._callDeprecated("getBorderBoxHeight","getBorderBox",arguments,null,"height");
};
dojo.html.getContentBoxWidth=dojo.html.getContentWidth=function(){
return dojo.html._callDeprecated("getContentBoxWidth","getContentBox",arguments,null,"width");
};
dojo.html.getContentBoxHeight=dojo.html.getContentHeight=function(){
return dojo.html._callDeprecated("getContentBoxHeight","getContentBox",arguments,null,"height");
};
dojo.html.setContentBoxWidth=dojo.html.setContentWidth=function(node,_35d){
return dojo.html._callDeprecated("setContentBoxWidth","setContentBox",arguments,"width");
};
dojo.html.setContentBoxHeight=dojo.html.setContentHeight=function(node,_35f){
return dojo.html._callDeprecated("setContentBoxHeight","setContentBox",arguments,"height");
};
dojo.provide("dojo.lfx.html");
dojo.lfx.html._byId=function(_360){
if(!_360){
return [];
}
if(dojo.lang.isArrayLike(_360)){
if(!_360.alreadyChecked){
var n=[];
dojo.lang.forEach(_360,function(node){
n.push(dojo.byId(node));
});
n.alreadyChecked=true;
return n;
}else{
return _360;
}
}else{
var n=[];
n.push(dojo.byId(_360));
n.alreadyChecked=true;
return n;
}
};
dojo.lfx.html.propertyAnimation=function(_363,_364,_365,_366,_367){
_363=dojo.lfx.html._byId(_363);
var _368={"propertyMap":_364,"nodes":_363,"duration":_365,"easing":_366||dojo.lfx.easeDefault};
var _369=function(args){
if(args.nodes.length==1){
var pm=args.propertyMap;
if(!dojo.lang.isArray(args.propertyMap)){
var parr=[];
for(var _36d in pm){
pm[_36d].property=_36d;
parr.push(pm[_36d]);
}
pm=args.propertyMap=parr;
}
dojo.lang.forEach(pm,function(prop){
if(dj_undef("start",prop)){
if(prop.property!="opacity"){
prop.start=parseInt(dojo.html.getComputedStyle(args.nodes[0],prop.property));
}else{
prop.start=dojo.html.getOpacity(args.nodes[0]);
}
}
});
}
};
var _36f=function(_370){
var _371=[];
dojo.lang.forEach(_370,function(c){
_371.push(Math.round(c));
});
return _371;
};
var _373=function(n,_375){
n=dojo.byId(n);
if(!n||!n.style){
return;
}
for(var s in _375){
if(s=="opacity"){
dojo.html.setOpacity(n,_375[s]);
}else{
n.style[s]=_375[s];
}
}
};
var _377=function(_378){
this._properties=_378;
this.diffs=new Array(_378.length);
dojo.lang.forEach(_378,function(prop,i){
if(dojo.lang.isFunction(prop.start)){
prop.start=prop.start(prop,i);
}
if(dojo.lang.isFunction(prop.end)){
prop.end=prop.end(prop,i);
}
if(dojo.lang.isArray(prop.start)){
this.diffs[i]=null;
}else{
if(prop.start instanceof dojo.gfx.color.Color){
prop.startRgb=prop.start.toRgb();
prop.endRgb=prop.end.toRgb();
}else{
this.diffs[i]=prop.end-prop.start;
}
}
},this);
this.getValue=function(n){
var ret={};
dojo.lang.forEach(this._properties,function(prop,i){
var _37f=null;
if(dojo.lang.isArray(prop.start)){
}else{
if(prop.start instanceof dojo.gfx.color.Color){
_37f=(prop.units||"rgb")+"(";
for(var j=0;j<prop.startRgb.length;j++){
_37f+=Math.round(((prop.endRgb[j]-prop.startRgb[j])*n)+prop.startRgb[j])+(j<prop.startRgb.length-1?",":"");
}
_37f+=")";
}else{
_37f=((this.diffs[i])*n)+prop.start+(prop.property!="opacity"?prop.units||"px":"");
}
}
ret[dojo.html.toCamelCase(prop.property)]=_37f;
},this);
return ret;
};
};
var anim=new dojo.lfx.Animation({beforeBegin:function(){
_369(_368);
anim.curve=new _377(_368.propertyMap);
},onAnimate:function(_382){
dojo.lang.forEach(_368.nodes,function(node){
_373(node,_382);
});
}},_368.duration,null,_368.easing);
if(_367){
for(var x in _367){
if(dojo.lang.isFunction(_367[x])){
anim.connect(x,anim,_367[x]);
}
}
}
return anim;
};
dojo.lfx.html._makeFadeable=function(_385){
var _386=function(node){
if(dojo.render.html.ie){
if((node.style.zoom.length==0)&&(dojo.html.getStyle(node,"zoom")=="normal")){
node.style.zoom="1";
}
if((node.style.width.length==0)&&(dojo.html.getStyle(node,"width")=="auto")){
node.style.width="auto";
}
}
};
if(dojo.lang.isArrayLike(_385)){
dojo.lang.forEach(_385,_386);
}else{
_386(_385);
}
};
dojo.lfx.html.fade=function(_388,_389,_38a,_38b,_38c){
_388=dojo.lfx.html._byId(_388);
var _38d={property:"opacity"};
if(!dj_undef("start",_389)){
_38d.start=_389.start;
}else{
_38d.start=function(){
return dojo.html.getOpacity(_388[0]);
};
}
if(!dj_undef("end",_389)){
_38d.end=_389.end;
}else{
dojo.raise("dojo.lfx.html.fade needs an end value");
}
var anim=dojo.lfx.propertyAnimation(_388,[_38d],_38a,_38b);
anim.connect("beforeBegin",function(){
dojo.lfx.html._makeFadeable(_388);
});
if(_38c){
anim.connect("onEnd",function(){
_38c(_388,anim);
});
}
return anim;
};
dojo.lfx.html.fadeIn=function(_38f,_390,_391,_392){
return dojo.lfx.html.fade(_38f,{end:1},_390,_391,_392);
};
dojo.lfx.html.fadeOut=function(_393,_394,_395,_396){
return dojo.lfx.html.fade(_393,{end:0},_394,_395,_396);
};
dojo.lfx.html.fadeShow=function(_397,_398,_399,_39a){
_397=dojo.lfx.html._byId(_397);
dojo.lang.forEach(_397,function(node){
dojo.html.setOpacity(node,0);
});
var anim=dojo.lfx.html.fadeIn(_397,_398,_399,_39a);
anim.connect("beforeBegin",function(){
if(dojo.lang.isArrayLike(_397)){
dojo.lang.forEach(_397,dojo.html.show);
}else{
dojo.html.show(_397);
}
});
return anim;
};
dojo.lfx.html.fadeHide=function(_39d,_39e,_39f,_3a0){
var anim=dojo.lfx.html.fadeOut(_39d,_39e,_39f,function(){
if(dojo.lang.isArrayLike(_39d)){
dojo.lang.forEach(_39d,dojo.html.hide);
}else{
dojo.html.hide(_39d);
}
if(_3a0){
_3a0(_39d,anim);
}
});
return anim;
};
dojo.lfx.html.wipeIn=function(_3a2,_3a3,_3a4,_3a5){
_3a2=dojo.lfx.html._byId(_3a2);
var _3a6=[];
dojo.lang.forEach(_3a2,function(node){
var _3a8={};
dojo.html.show(node);
var _3a9=dojo.html.getBorderBox(node).height;
dojo.html.hide(node);
var anim=dojo.lfx.propertyAnimation(node,{"height":{start:1,end:function(){
return _3a9;
}}},_3a3,_3a4);
anim.connect("beforeBegin",function(){
_3a8.overflow=node.style.overflow;
_3a8.height=node.style.height;
with(node.style){
overflow="hidden";
_3a9="1px";
}
dojo.html.show(node);
});
anim.connect("onEnd",function(){
with(node.style){
overflow=_3a8.overflow;
_3a9=_3a8.height;
}
if(_3a5){
_3a5(node,anim);
}
});
_3a6.push(anim);
});
return dojo.lfx.combine(_3a6);
};
dojo.lfx.html.wipeOut=function(_3ab,_3ac,_3ad,_3ae){
_3ab=dojo.lfx.html._byId(_3ab);
var _3af=[];
dojo.lang.forEach(_3ab,function(node){
var _3b1={};
var anim=dojo.lfx.propertyAnimation(node,{"height":{start:function(){
return dojo.html.getContentBox(node).height;
},end:1}},_3ac,_3ad,{"beforeBegin":function(){
_3b1.overflow=node.style.overflow;
_3b1.height=node.style.height;
with(node.style){
overflow="hidden";
}
dojo.html.show(node);
},"onEnd":function(){
dojo.html.hide(node);
with(node.style){
overflow=_3b1.overflow;
height=_3b1.height;
}
if(_3ae){
_3ae(node,anim);
}
}});
_3af.push(anim);
});
return dojo.lfx.combine(_3af);
};
dojo.lfx.html.slideTo=function(_3b3,_3b4,_3b5,_3b6,_3b7){
_3b3=dojo.lfx.html._byId(_3b3);
var _3b8=[];
var _3b9=dojo.html.getComputedStyle;
if(dojo.lang.isArray(_3b4)){
dojo.deprecated("dojo.lfx.html.slideTo(node, array)","use dojo.lfx.html.slideTo(node, {top: value, left: value});","0.5");
_3b4={top:_3b4[0],left:_3b4[1]};
}
dojo.lang.forEach(_3b3,function(node){
var top=null;
var left=null;
var init=(function(){
var _3be=node;
return function(){
var pos=_3b9(_3be,"position");
top=(pos=="absolute"?node.offsetTop:parseInt(_3b9(node,"top"))||0);
left=(pos=="absolute"?node.offsetLeft:parseInt(_3b9(node,"left"))||0);
if(!dojo.lang.inArray(["absolute","relative"],pos)){
var ret=dojo.html.abs(_3be,true);
dojo.html.setStyleAttributes(_3be,"position:absolute;top:"+ret.y+"px;left:"+ret.x+"px;");
top=ret.y;
left=ret.x;
}
};
})();
init();
var anim=dojo.lfx.propertyAnimation(node,{"top":{start:top,end:(_3b4.top||0)},"left":{start:left,end:(_3b4.left||0)}},_3b5,_3b6,{"beforeBegin":init});
if(_3b7){
anim.connect("onEnd",function(){
_3b7(_3b3,anim);
});
}
_3b8.push(anim);
});
return dojo.lfx.combine(_3b8);
};
dojo.lfx.html.slideBy=function(_3c2,_3c3,_3c4,_3c5,_3c6){
_3c2=dojo.lfx.html._byId(_3c2);
var _3c7=[];
var _3c8=dojo.html.getComputedStyle;
if(dojo.lang.isArray(_3c3)){
dojo.deprecated("dojo.lfx.html.slideBy(node, array)","use dojo.lfx.html.slideBy(node, {top: value, left: value});","0.5");
_3c3={top:_3c3[0],left:_3c3[1]};
}
dojo.lang.forEach(_3c2,function(node){
var top=null;
var left=null;
var init=(function(){
var _3cd=node;
return function(){
var pos=_3c8(_3cd,"position");
top=(pos=="absolute"?node.offsetTop:parseInt(_3c8(node,"top"))||0);
left=(pos=="absolute"?node.offsetLeft:parseInt(_3c8(node,"left"))||0);
if(!dojo.lang.inArray(["absolute","relative"],pos)){
var ret=dojo.html.abs(_3cd,true);
dojo.html.setStyleAttributes(_3cd,"position:absolute;top:"+ret.y+"px;left:"+ret.x+"px;");
top=ret.y;
left=ret.x;
}
};
})();
init();
var anim=dojo.lfx.propertyAnimation(node,{"top":{start:top,end:top+(_3c3.top||0)},"left":{start:left,end:left+(_3c3.left||0)}},_3c4,_3c5).connect("beforeBegin",init);
if(_3c6){
anim.connect("onEnd",function(){
_3c6(_3c2,anim);
});
}
_3c7.push(anim);
});
return dojo.lfx.combine(_3c7);
};
dojo.lfx.html.explode=function(_3d1,_3d2,_3d3,_3d4,_3d5){
var h=dojo.html;
_3d1=dojo.byId(_3d1);
_3d2=dojo.byId(_3d2);
var _3d7=h.toCoordinateObject(_3d1,true);
var _3d8=document.createElement("div");
h.copyStyle(_3d8,_3d2);
if(_3d2.explodeClassName){
_3d8.className=_3d2.explodeClassName;
}
with(_3d8.style){
position="absolute";
display="none";
}
dojo.body().appendChild(_3d8);
with(_3d2.style){
visibility="hidden";
display="block";
}
var _3d9=h.toCoordinateObject(_3d2,true);
with(_3d2.style){
display="none";
visibility="visible";
}
var _3da={opacity:{start:0.5,end:1}};
dojo.lang.forEach(["height","width","top","left"],function(type){
_3da[type]={start:_3d7[type],end:_3d9[type]};
});
var anim=new dojo.lfx.propertyAnimation(_3d8,_3da,_3d3,_3d4,{"beforeBegin":function(){
h.setDisplay(_3d8,"block");
},"onEnd":function(){
h.setDisplay(_3d2,"block");
_3d8.parentNode.removeChild(_3d8);
}});
if(_3d5){
anim.connect("onEnd",function(){
_3d5(_3d2,anim);
});
}
return anim;
};
dojo.lfx.html.implode=function(_3dd,end,_3df,_3e0,_3e1){
var h=dojo.html;
_3dd=dojo.byId(_3dd);
end=dojo.byId(end);
var _3e3=dojo.html.toCoordinateObject(_3dd,true);
var _3e4=dojo.html.toCoordinateObject(end,true);
var _3e5=document.createElement("div");
dojo.html.copyStyle(_3e5,_3dd);
if(_3dd.explodeClassName){
_3e5.className=_3dd.explodeClassName;
}
dojo.html.setOpacity(_3e5,0.3);
with(_3e5.style){
position="absolute";
display="none";
backgroundColor=h.getStyle(_3dd,"background-color").toLowerCase();
}
dojo.body().appendChild(_3e5);
var _3e6={opacity:{start:1,end:0.5}};
dojo.lang.forEach(["height","width","top","left"],function(type){
_3e6[type]={start:_3e3[type],end:_3e4[type]};
});
var anim=new dojo.lfx.propertyAnimation(_3e5,_3e6,_3df,_3e0,{"beforeBegin":function(){
dojo.html.hide(_3dd);
dojo.html.show(_3e5);
},"onEnd":function(){
_3e5.parentNode.removeChild(_3e5);
}});
if(_3e1){
anim.connect("onEnd",function(){
_3e1(_3dd,anim);
});
}
return anim;
};
dojo.lfx.html.highlight=function(_3e9,_3ea,_3eb,_3ec,_3ed){
_3e9=dojo.lfx.html._byId(_3e9);
var _3ee=[];
dojo.lang.forEach(_3e9,function(node){
var _3f0=dojo.html.getBackgroundColor(node);
var bg=dojo.html.getStyle(node,"background-color").toLowerCase();
var _3f2=dojo.html.getStyle(node,"background-image");
var _3f3=(bg=="transparent"||bg=="rgba(0, 0, 0, 0)");
while(_3f0.length>3){
_3f0.pop();
}
var rgb=new dojo.gfx.color.Color(_3ea);
var _3f5=new dojo.gfx.color.Color(_3f0);
var anim=dojo.lfx.propertyAnimation(node,{"background-color":{start:rgb,end:_3f5}},_3eb,_3ec,{"beforeBegin":function(){
if(_3f2){
node.style.backgroundImage="none";
}
node.style.backgroundColor="rgb("+rgb.toRgb().join(",")+")";
},"onEnd":function(){
if(_3f2){
node.style.backgroundImage=_3f2;
}
if(_3f3){
node.style.backgroundColor="transparent";
}
if(_3ed){
_3ed(node,anim);
}
}});
_3ee.push(anim);
});
return dojo.lfx.combine(_3ee);
};
dojo.lfx.html.unhighlight=function(_3f7,_3f8,_3f9,_3fa,_3fb){
_3f7=dojo.lfx.html._byId(_3f7);
var _3fc=[];
dojo.lang.forEach(_3f7,function(node){
var _3fe=new dojo.gfx.color.Color(dojo.html.getBackgroundColor(node));
var rgb=new dojo.gfx.color.Color(_3f8);
var _400=dojo.html.getStyle(node,"background-image");
var anim=dojo.lfx.propertyAnimation(node,{"background-color":{start:_3fe,end:rgb}},_3f9,_3fa,{"beforeBegin":function(){
if(_400){
node.style.backgroundImage="none";
}
node.style.backgroundColor="rgb("+_3fe.toRgb().join(",")+")";
},"onEnd":function(){
if(_3fb){
_3fb(node,anim);
}
}});
_3fc.push(anim);
});
return dojo.lfx.combine(_3fc);
};
dojo.lang.mixin(dojo.lfx,dojo.lfx.html);

